Liblinphone 5.3.0

Data Structures | Macros | Typedefs | Enumerations | Functions
Initializing

Initializing liblinphone. More...

## Data Structures
struct | _LinphoneCoreVTable
| This structure holds all callbacks that the application should implement. More...

## Macros
#define | LINPHONE_CORE(object)
| Safely down-cast a belle_sip_object_t into LinphoneCore.
#define | LC_SIP_TRANSPORT_DISABLED 0
| Disable a sip transport Use with LinphoneSipTransports.
#define | LC_SIP_TRANSPORT_RANDOM (-1)
| Randomly chose a sip port for this transport Use with LinphoneSipTransports.
#define | LC_SIP_TRANSPORT_DONTBIND (-2)
| Don't create any server socket for this transport, ie don't bind on any port.
#define | LINPHONE_VFS_ENCRYPTION_PLAIN 0xFFFF
#define | LINPHONE_VFS_ENCRYPTION_UNSET 0x0000
#define | LINPHONE_VFS_ENCRYPTION_DUMMY 0x0001
#define | LINPHONE_VFS_ENCRYPTION_AES256GCM128_SHA256 0x0002

## Typedefs
typedef void(* | LinphoneCoreCbsCallCreatedCb) (LinphoneCore *core, LinphoneCall *call)
| Callback notifying that a new LinphoneCall (either incoming or outgoing) has been created.
typedef void(* | LinphoneCoreCbsGlobalStateChangedCb) (LinphoneCore *core, LinphoneGlobalState state, const char *message)
| Global state notification callback.
typedef LinphoneCoreCbsGlobalStateChangedCb | LinphoneCoreGlobalStateChangedCb
| Old name of LinphoneCoreCbsGlobalStateChangedCb.
typedef void(* | LinphoneCoreCbsCallStateChangedCb) (LinphoneCore *core, LinphoneCall *call, LinphoneCallState state, const char *message)
| Call state notification callback.
typedef LinphoneCoreCbsCallStateChangedCb | LinphoneCoreCallStateChangedCb
| Old name of LinphoneCoreCbsCallStateChangedCb.
typedef void(* | LinphoneCoreCbsCallGoClearAckSentCb) (LinphoneCore *core, LinphoneCall *call)
| GoClear ACK sent on call callback.
typedef void(* | LinphoneCoreCbsCallSendMasterKeyChangedCb) (LinphoneCore *core, LinphoneCall *call, const char *master_key)
| Call send master key changed callback.
typedef void(* | LinphoneCoreCbsCallReceiveMasterKeyChangedCb) (LinphoneCore *core, LinphoneCall *call, const char *master_key)
| Call receive master key changed callback.
typedef void(* | LinphoneCoreCbsCallEncryptionChangedCb) (LinphoneCore *core, LinphoneCall *call, bool_t media_encryption_enabled, const char *authentication_token)
| Call encryption changed callback.
typedef LinphoneCoreCbsCallEncryptionChangedCb | LinphoneCoreCallEncryptionChangedCb
| Old name of LinphoneCoreCbsCallEncryptionChangedCb.
typedef void(* | LinphoneCoreCbsRegistrationStateChangedCb) (LinphoneCore *core, LinphoneProxyConfig *proxy_config, LinphoneRegistrationState state, const char *message)
| Registration state notification callback prototype.
typedef LinphoneCoreCbsRegistrationStateChangedCb | LinphoneCoreRegistrationStateChangedCb
| Old name of LinphoneCoreCbsRegistrationStateChangedCb.
typedef void(* | LinphoneCoreCbsNotifyPresenceReceivedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend)
| Report status change for a friend previously added to the LinphoneCore with linphone_core_add_friend().
typedef LinphoneCoreCbsNotifyPresenceReceivedCb | LinphoneCoreNotifyPresenceReceivedCb
| Old name of LinphoneCoreCbsNotifyPresenceReceivedCb.
typedef void(* | LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb) (LinphoneCore *core, LinphoneFriend *linphone_friend, const char *uri_or_tel, const LinphonePresenceModel *presence_model)
| Reports presence model change for a specific URI or phone number of a friend.
typedef LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb | LinphoneCoreNotifyPresenceReceivedForUriOrTelCb
| Old name of LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb.
typedef void(* | LinphoneCoreCbsNewSubscriptionRequestedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend, const char *url)
| Reports that a new subscription request has been received and wait for a decision.
typedef LinphoneCoreCbsNewSubscriptionRequestedCb | LinphoneCoreNewSubscriptionRequestedCb
| Old name of LinphoneCoreCbsNewSubscriptionRequestedCb.
typedef void(* | LinphoneCoreCbsAuthenticationRequestedCb) (LinphoneCore *core, LinphoneAuthInfo *auth_info, LinphoneAuthMethod method)
| Callback for requesting authentication information to application or user.
typedef LinphoneCoreCbsAuthenticationRequestedCb | LinphoneCoreAuthenticationRequestedCb
| Old name of LinphoneCoreCbsAuthenticationRequestedCb.
typedef void(* | LinphoneCoreCbsCallLogUpdatedCb) (LinphoneCore *core, LinphoneCallLog *call_log)
| Callback to notify a new call-log entry has been added.
typedef LinphoneCoreCbsCallLogUpdatedCb | LinphoneCoreCallLogUpdatedCb
| Old name of LinphoneCoreCbsCallLogUpdatedCb.
typedef void(* | LinphoneCoreCbsCallIdUpdatedCb) (LinphoneCore *core, const char *previous_call_id, const char *current_call_id)
| Callback to notify the callid of a call has been updated.
typedef LinphoneCoreCbsCallIdUpdatedCb | LinphoneCoreCallIdUpdatedCb
| Old name of LinphoneCoreCbsCallIdUpdatedCb.
typedef void(* | LinphoneCoreCbsMessageReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Chat message callback prototype.
typedef void(* | LinphoneCoreCbsNewMessageReactionCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message, const LinphoneChatMessageReaction *reaction)
| Chat message new reaction callback prototype.
typedef void(* | LinphoneCoreCbsReactionRemovedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message, const LinphoneAddress *address)
| Chat message removed reaction callback prototype.
typedef void(* | LinphoneCoreCbsDefaultAccountChangedCb) (LinphoneCore *core, LinphoneAccount *account)
| Default account changed callback prototype.
typedef void(* | LinphoneCoreCbsAccountAddedCb) (LinphoneCore *core, LinphoneAccount *account)
| Account added callback prototype.
typedef void(* | LinphoneCoreCbsAccountRemovedCb) (LinphoneCore *core, LinphoneAccount *account)
| Account removed callback prototype.
typedef void(* | LinphoneCoreCbsMessagesReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, const bctbx_list_t *messages)
| Chat messages callback prototype.
typedef void(* | LinphoneCoreCbsMessageSentCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Called after the linphone_chat_message_send() was called.
typedef LinphoneCoreCbsMessageReceivedCb | LinphoneCoreMessageReceivedCb
| Old name of LinphoneCoreCbsMessageReceivedCb.
typedef void(* | LinphoneCoreCbsChatRoomSessionStateChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneCallState state, const char *message)
| Chat room session state changed callback.
typedef void(* | LinphoneCoreCbsChatRoomReadCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)
| Chat room marked as read callback.
typedef void(* | LinphoneCoreCbsMessageReceivedUnableDecryptCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Chat message not decrypted callback prototype.
typedef void(* | LinphoneCoreFileTransferRecvCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, const char *buffer, size_t size)
| File transfer receive callback prototype.
typedef void(* | LinphoneCoreFileTransferSendCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, char *buffer, size_t *size)
| File transfer send callback prototype.
typedef void(* | LinphoneCoreFileTransferProgressIndicationCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, size_t offset, size_t total)
| File transfer progress indication callback prototype.
typedef void(* | LinphoneCoreCbsIsComposingReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)
| Is composing notification callback prototype.
typedef LinphoneCoreCbsIsComposingReceivedCb | LinphoneCoreIsComposingReceivedCb
| Old name of LinphoneCoreCbsIsComposingReceivedCb.
typedef void(* | LinphoneCoreCbsDtmfReceivedCb) (LinphoneCore *core, LinphoneCall *call, int dtmf)
| Callback for being notified of DTMFs received.
typedef LinphoneCoreCbsDtmfReceivedCb | LinphoneCoreDtmfReceivedCb
| Old name of LinphoneCoreCbsDtmfReceivedCb.
typedef void(* | LinphoneCoreCbsReferReceivedCb) (LinphoneCore *core, const char *refer_to)
| Callback prototype for when a refer is received.
typedef LinphoneCoreCbsReferReceivedCb | LinphoneCoreReferReceivedCb
| Old name of LinphoneCoreCbsReferReceivedCb.
typedef void(* | LinphoneCoreCbsBuddyInfoUpdatedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend)
| Callback prototype when using the buddy plugin.
typedef LinphoneCoreCbsBuddyInfoUpdatedCb | LinphoneCoreBuddyInfoUpdatedCb
| Old name of LinphoneCoreCbsBuddyInfoUpdatedCb.
typedef void(* | LinphoneCoreCbsTransferStateChangedCb) (LinphoneCore *core, LinphoneCall *transfered, LinphoneCallState call_state)
| Callback for notifying progresses of transfers.
typedef LinphoneCoreCbsTransferStateChangedCb | LinphoneCoreTransferStateChangedCb
| Old name of LinphoneCoreCbsTransferStateChangedCb.
typedef void(* | LinphoneCoreCbsCallStatsUpdatedCb) (LinphoneCore *core, LinphoneCall *call, const LinphoneCallStats *call_stats)
| Callback for receiving quality statistics for calls.
typedef LinphoneCoreCbsCallStatsUpdatedCb | LinphoneCoreCallStatsUpdatedCb
| Old name of LinphoneCoreCbsCallStatsUpdatedCb.
typedef void(* | LinphoneCoreCbsInfoReceivedCb) (LinphoneCore *core, LinphoneCall *call, const LinphoneInfoMessage *message)
| Callback prototype for receiving info messages.
typedef LinphoneCoreCbsInfoReceivedCb | LinphoneCoreInfoReceivedCb
| Old name of LinphoneCoreCbsInfoReceivedCb.
typedef void(* | LinphoneCoreCbsConfiguringStatusCb) (LinphoneCore *core, LinphoneConfiguringState status, const char *message)
| Callback prototype for configuring status changes notification.
typedef LinphoneCoreCbsConfiguringStatusCb | LinphoneCoreConfiguringStatusCb
| Old name of LinphoneCoreCbsConfiguringStatusCb.
typedef void(* | LinphoneCoreCbsNetworkReachableCb) (LinphoneCore *core, bool_t reachable)
| Callback prototype for reporting network change either automatically detected or notified by linphone_core_set_network_reachable().
typedef LinphoneCoreCbsNetworkReachableCb | LinphoneCoreNetworkReachableCb
| Old name of LinphoneCoreCbsNetworkReachableCb.
typedef void(* | LinphoneCoreCbsLogCollectionUploadStateChangedCb) (LinphoneCore *core, LinphoneCoreLogCollectionUploadState state, const char *info)
| Callback prototype for reporting log collection upload state change.
typedef LinphoneCoreCbsLogCollectionUploadStateChangedCb | LinphoneCoreLogCollectionUploadStateChangedCb
| Old name of LinphoneCoreCbsLogCollectionUploadStateChangedCb.
typedef void(* | LinphoneCoreCbsLogCollectionUploadProgressIndicationCb) (LinphoneCore *core, size_t offset, size_t total)
| Callback prototype for reporting log collection upload progress indication.
typedef LinphoneCoreCbsLogCollectionUploadProgressIndicationCb | LinphoneCoreLogCollectionUploadProgressIndicationCb
| Old name of LinphoneCoreCbsLogCollectionUploadProgressIndicationCb.
typedef void(* | LinphoneCoreCbsFriendListCreatedCb) (LinphoneCore *core, LinphoneFriendList *friend_list)
| Callback prototype for reporting when a friend list has been added to the core friend lists.
typedef LinphoneCoreCbsFriendListCreatedCb | LinphoneCoreFriendListCreatedCb
| Old name of LinphoneCoreCbsFriendListCreatedCb.
typedef void(* | LinphoneCoreCbsFriendListRemovedCb) (LinphoneCore *core, LinphoneFriendList *friend_list)
| Callback prototype for reporting when a friend list has been removed from the core friend lists.
typedef LinphoneCoreCbsFriendListRemovedCb | LinphoneCoreFriendListRemovedCb
| Old name of LinphoneCoreCbsFriendListRemovedCb.
typedef void(* | LinphoneCoreCbsVersionUpdateCheckResultReceivedCb) (LinphoneCore *core, LinphoneVersionUpdateCheckResult result, const char *version, const char *url)
| Callback prototype for reporting the result of a version update check.
typedef void(* | LinphoneCoreCbsConferenceStateChangedCb) (LinphoneCore *core, LinphoneConference *conference, LinphoneConferenceState state)
| Callback prototype telling that a LinphoneConference state has changed.
typedef void(* | LinphoneCoreCbsChatRoomStateChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatRoomState state)
| Callback prototype telling that a LinphoneChatRoom state has changed.
typedef void(* | LinphoneCoreCbsChatRoomSubjectChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)
| Callback prototype telling that a LinphoneChatRoom subject has changed.
typedef void(* | LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)
| Callback prototype telling that a LinphoneChatRoom ephemeral message has expired.
typedef void(* | LinphoneCoreCbsImeeUserRegistrationCb) (LinphoneCore *core, const bool_t status, const char *user_id, const char *info)
| Callback prototype telling that an Instant Message Encryption Engine user registered on the server with or without success.
typedef void(* | LinphoneCoreCbsQrcodeFoundCb) (LinphoneCore *core, const char *result)
| Callback prototype telling the result of decoded qrcode.
typedef void(* | LinphoneCoreCbsFirstCallStartedCb) (LinphoneCore *core)
| Callback prototype telling a call has started (incoming or outgoing) while there was no other call.
typedef void(* | LinphoneCoreCbsLastCallEndedCb) (LinphoneCore *core)
| Callback prototype telling the last call has ended (linphone_core_get_calls_nb() returns 0)
typedef void(* | LinphoneCoreCbsAudioDeviceChangedCb) (LinphoneCore *core, LinphoneAudioDevice *audio_device)
| Callback prototype telling that the audio device for at least one call has changed.
typedef void(* | LinphoneCoreCbsAudioDevicesListUpdatedCb) (LinphoneCore *core)
| Callback prototype telling the audio devices list has been updated.
typedef void(* | LinphoneCoreCbsAccountRegistrationStateChangedCb) (LinphoneCore *core, LinphoneAccount *account, LinphoneRegistrationState state, const char *message)
| Callback notifying that a LinphoneAccount has its registration state changed.
typedef void(* | LinphoneCoreCbFunc) (LinphoneCore *core, void *user_data)
| Callback prototype.
typedef struct _LinphoneCoreVTable | LinphoneCoreVTable
| This structure holds all callbacks that the application should implement.
typedef struct _LpConfig | LinphoneConfig
| This object is used to manipulate a configuration file.
typedef enum _LinphoneConfiguringState | LinphoneConfiguringState
| Describes the state of the remote configuring process of the LinphoneCore object, 'Skipped' when the feature is disabled.
typedef enum _LinphoneGlobalState | LinphoneGlobalState
| Describes the global state of the LinphoneCore object.
typedef struct _LinphoneCore | LinphoneCore
| Main object to instanciate and on which to keep a reference.
typedef struct _LinphoneFactory | LinphoneFactory
| The factory is a singleton object devoted to the creation of all the objects of Liblinphone that cannot be created by LinphoneCore itself.
typedef struct _LinphoneCoreCbs | LinphoneCoreCbs
| That class holds all the callbacks which are called by LinphoneCore.
typedef struct _LinphoneTransports | LinphoneTransports
| SIP transports & ports configuration object.
typedef enum _LinphoneAddressFamily | LinphoneAddressFamily
| Enum describing Ip family.
typedef enum _LinphoneIceState | LinphoneIceState
| Enum describing ICE states.
typedef enum _LinphoneSessionExpiresRefresher | LinphoneSessionExpiresRefresher
| Session Timers refresher.
typedef enum _LinphoneLogCollectionState | LinphoneLogCollectionState
| Whether or not to keep a file with the logs.
typedef enum _LinphoneCoreLogCollectionUploadState | LinphoneCoreLogCollectionUploadState
| Used to notify if log collection upload have been succesfully delivered or not.
typedef enum _LinphoneStreamType | LinphoneStreamType
| Enum describing the stream types.
typedef enum _LinphoneUpnpState | LinphoneUpnpState
| Enum describing uPnP states.

## Enumerations
enum | _LinphoneConfiguringState { LinphoneConfiguringSuccessful = 0 , LinphoneConfiguringFailed = 1 , LinphoneConfiguringSkipped = 2 }
| Describes the state of the remote configuring process of the LinphoneCore object, 'Skipped' when the feature is disabled. More...
enum | _LinphoneGlobalState { LinphoneGlobalOff = 0 , LinphoneGlobalStartup = 1 , LinphoneGlobalOn = 2 , LinphoneGlobalShutdown = 3 , LinphoneGlobalConfiguring = 4 , LinphoneGlobalReady = 5 }
| Describes the global state of the LinphoneCore object. More...
enum | _LinphoneAddressFamily { LinphoneAddressFamilyInet = 0 , LinphoneAddressFamilyInet6 = 1 , LinphoneAddressFamilyUnspec = 2 }
| Enum describing Ip family. More...
enum | _LinphoneIceState { LinphoneIceStateNotActivated = 0 , LinphoneIceStateFailed = 1 , LinphoneIceStateInProgress = 2 , LinphoneIceStateHostConnection = 3 , LinphoneIceStateReflexiveConnection , LinphoneIceStateRelayConnection = 5 }
| Enum describing ICE states. More...
enum | _LinphoneSessionExpiresRefresher { LinphoneSessionExpiresRefresherUnspecified = 0 , LinphoneSessionExpiresRefresherUAS = 1 , LinphoneSessionExpiresRefresherUAC = 2 }
| Session Timers refresher.
enum | _LinphoneLogCollectionState { LinphoneLogCollectionDisabled = 0 , LinphoneLogCollectionEnabled = 1 , LinphoneLogCollectionEnabledWithoutPreviousLogHandler = 2 }
| Whether or not to keep a file with the logs.
enum | _LinphoneCoreLogCollectionUploadState { LinphoneCoreLogCollectionUploadStateInProgress = 0 , LinphoneCoreLogCollectionUploadStateDelivered , LinphoneCoreLogCollectionUploadStateNotDelivered = 2 }
| Used to notify if log collection upload have been succesfully delivered or not. More...
enum | _LinphoneStreamType { LinphoneStreamTypeAudio = 0 , LinphoneStreamTypeVideo = 1 , LinphoneStreamTypeText = 2 , LinphoneStreamTypeUnknown = 3 }
| Enum describing the stream types.
enum | _LinphoneUpnpState { LinphoneUpnpStateIdle = 0 , LinphoneUpnpStatePending = 1 , LinphoneUpnpStateAdding = 2 , LinphoneUpnpStateRemoving = 3 , LinphoneUpnpStateNotAvailable = 4 , LinphoneUpnpStateOk = 5 , LinphoneUpnpStateKo = 6 , LinphoneUpnpStateBlacklisted = 7 }
| Enum describing uPnP states. More...

## Functions
void * | linphone_conference_get_user_data (const LinphoneConference *conference)
| Retrieves the user pointer that was given to linphone_conference_new()
void | linphone_conference_set_user_data (LinphoneConference *conference, void *user_data)
| Associate a user pointer to the linphone conference.
LinphoneCoreVTable * | linphone_core_v_table_new (void)
| Instantiate a vtable with all arguments set to NULL.
void | linphone_core_v_table_set_user_data (LinphoneCoreVTable *table, void *data)
| Sets a user data pointer in the vtable.
void * | linphone_core_v_table_get_user_data (const LinphoneCoreVTable *table)
| Gets a user data pointer in the vtable.
LinphoneCoreVTable * | linphone_core_get_current_vtable (LinphoneCore *core)
| Gets the current VTable.
void | linphone_core_v_table_destroy (LinphoneCoreVTable *table)
| Destroy a vtable.
LinphoneCoreCbs * | linphone_core_cbs_ref (LinphoneCoreCbs *cbs)
| Increment the reference counter.
void | linphone_core_cbs_unref (LinphoneCoreCbs *cbs)
| Decrement the reference counter.
void | linphone_core_cbs_set_user_data (LinphoneCoreCbs *cbs, void *user_data)
| Set private data to be get from each callbacks.
void * | linphone_core_cbs_get_user_data (const LinphoneCoreCbs *cbs)
| Get the user pointer.
LinphoneCoreCbs * | linphone_core_get_current_callbacks (const LinphoneCore *core)
| Gets the current LinphoneCoreCbs.
void | linphone_core_cbs_set_global_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsGlobalStateChangedCb cb)
| Set the LinphoneCoreGlobalStateChangedCb callback.
LinphoneCoreCbsGlobalStateChangedCb | linphone_core_cbs_get_global_state_changed (LinphoneCoreCbs *cbs)
| Get the # callback.
void | linphone_core_cbs_set_registration_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsRegistrationStateChangedCb cb)
| Set the LinphoneCoreCbsRegistrationStateChangedCb callback.
LinphoneCoreCbsRegistrationStateChangedCb | linphone_core_cbs_get_registration_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsRegistrationStateChangedCb callback.
void | linphone_core_cbs_set_conference_info_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsConferenceInfoReceivedCb cb)
| Set the conference info received callback.
LinphoneCoreCbsConferenceInfoReceivedCb | linphone_core_cbs_get_conference_info_received (LinphoneCoreCbs *cbs)
| Get the conference info received callback.
void | linphone_core_cbs_set_push_notification_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsPushNotificationReceivedCb cb)
| Set the push notification received callback.
LinphoneCoreCbsPushNotificationReceivedCb | linphone_core_cbs_get_push_notification_received (LinphoneCoreCbs *cbs)
| Get the push notification received callback.
LinphoneCoreCbsPreviewDisplayErrorOccurredCb | linphone_core_cbs_get_preview_display_error_occurred (const LinphoneCoreCbs *cbs)
| Get the rendering not working callback for preview.
void | linphone_core_cbs_set_preview_display_error_occurred (LinphoneCoreCbs *cbs, LinphoneCoreCbsPreviewDisplayErrorOccurredCb cb)
| Set the rendering not working callback for preview.
void | linphone_core_cbs_set_call_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallStateChangedCb cb)
| Set the LinphoneCoreCbsCallStateChangedCb callback.
LinphoneCoreCbsCallStateChangedCb | linphone_core_cbs_get_call_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallStateChangedCb callback.
void | linphone_core_cbs_set_notify_presence_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsNotifyPresenceReceivedCb cb)
| Set the LinphoneCoreCbsNotifyPresenceReceivedCb callback.
LinphoneCoreCbsNotifyPresenceReceivedCb | linphone_core_cbs_get_notify_presence_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNotifyPresenceReceivedCb callback.
void | linphone_core_cbs_set_notify_presence_received_for_uri_or_tel (LinphoneCoreCbs *cbs, LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb cb)
| Set the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.
LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb | linphone_core_cbs_get_notify_presence_received_for_uri_or_tel (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.
void | linphone_core_cbs_set_new_subscription_requested (LinphoneCoreCbs *cbs, LinphoneCoreCbsNewSubscriptionRequestedCb cb)
| Set the LinphoneCoreCbsNewSubscriptionRequestedCb callback.
LinphoneCoreCbsNewSubscriptionRequestedCb | linphone_core_cbs_get_new_subscription_requested (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNewSubscriptionRequestedCb callback.
void | linphone_core_cbs_set_authentication_requested (LinphoneCoreCbs *cbs, LinphoneCoreCbsAuthenticationRequestedCb cb)
| Set the LinphoneCoreCbsAuthenticationRequestedCb callback.
LinphoneCoreCbsAuthenticationRequestedCb | linphone_core_cbs_get_authentication_requested (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsAuthenticationRequestedCb callback.
void | linphone_core_cbs_set_call_log_updated (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallLogUpdatedCb cb)
| Set the LinphoneCoreCbsCallLogUpdatedCb callback.
LinphoneCoreCbsCallLogUpdatedCb | linphone_core_cbs_get_call_log_updated (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallLogUpdatedCb callback.
void | linphone_core_cbs_set_call_id_updated (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallIdUpdatedCb cb)
| Set the LinphoneCoreCbsCallIdUpdatedCb callback.
LinphoneCoreCbsCallIdUpdatedCb | linphone_core_cbs_get_call_id_updated (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallIdUpdatedCb callback.
void | linphone_core_cbs_set_message_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsMessageReceivedCb cb)
| Set the LinphoneCoreCbsMessageReceivedCb callback.
LinphoneCoreCbsMessageReceivedCb | linphone_core_cbs_get_message_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsMessageReceivedCb callback.
void | linphone_core_cbs_set_new_message_reaction (LinphoneCoreCbs *cbs, LinphoneCoreCbsNewMessageReactionCb cb)
| Set the LinphoneCoreCbsNewMessageReactionCb callback.
void | linphone_core_cbs_set_reaction_removed_private (LinphoneCoreCbs *cbs, LinphoneCoreCbsReactionRemovedPrivateCb cb)
LinphoneCoreCbsNewMessageReactionCb | linphone_core_cbs_get_new_message_reaction (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNewMessageReactionCb callback.
void | linphone_core_cbs_set_reaction_removed (LinphoneCoreCbs *cbs, LinphoneCoreCbsReactionRemovedCb cb)
| Set the LinphoneCoreCbsReactionRemovedCb callback.
LinphoneCoreCbsReactionRemovedCb | linphone_core_cbs_get_reaction_removed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsReactionRemovedCb callback.
void | linphone_core_cbs_set_messages_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsMessagesReceivedCb cb)
| Set the LinphoneCoreCbsMessagesReceivedCb callback.
LinphoneCoreCbsMessagesReceivedCb | linphone_core_cbs_get_messages_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsMessagesReceivedCb callback.
void | linphone_core_cbs_set_message_sent (LinphoneCoreCbs *cbs, LinphoneCoreCbsMessageSentCb cb)
| Set the LinphoneCoreCbsMessageSentCb callback.
LinphoneCoreCbsMessageSentCb | linphone_core_cbs_get_message_sent (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsMessageSentCb callback.
void | linphone_core_cbs_set_chat_room_session_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomSessionStateChangedCb cb)
| Set the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.
LinphoneCoreCbsChatRoomSessionStateChangedCb | linphone_core_cbs_get_chat_room_session_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.
void | linphone_core_cbs_set_chat_room_read (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomReadCb cb)
| Set the LinphoneCoreCbsChatRoomReadCb callback.
LinphoneCoreCbsChatRoomReadCb | linphone_core_cbs_get_chat_room_read (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsChatRoomReadCb callback.
void | linphone_core_cbs_set_message_received_unable_decrypt (LinphoneCoreCbs *cbs, LinphoneCoreCbsMessageReceivedUnableDecryptCb cb)
| Set the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.
LinphoneCoreCbsMessageReceivedUnableDecryptCb | linphone_core_cbs_get_message_received_unable_decrypt (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.
void | linphone_core_cbs_set_is_composing_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsIsComposingReceivedCb cb)
| Set the LinphoneCoreCbsIsComposingReceivedCb callback.
LinphoneCoreCbsIsComposingReceivedCb | linphone_core_cbs_get_is_composing_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsIsComposingReceivedCb callback.
void | linphone_core_cbs_set_dtmf_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsDtmfReceivedCb cb)
| Set the LinphoneCoreCbsDtmfReceivedCb callback.
LinphoneCoreCbsDtmfReceivedCb | linphone_core_cbs_get_dtmf_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsDtmfReceivedCb callback.
void | linphone_core_cbs_set_refer_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsReferReceivedCb cb)
| Set the LinphoneCoreCbsReferReceivedCb callback.
LinphoneCoreCbsReferReceivedCb | linphone_core_cbs_get_refer_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsReferReceivedCb callback.
void | linphone_core_cbs_set_call_goclear_ack_sent (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallGoClearAckSentCb cb)
| Set the LinphoneCoreCbsCallGoClearAckSentCb callback.
LinphoneCoreCbsCallGoClearAckSentCb | linphone_core_cbs_get_call_goclear_ack_sent (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallGoClearAckSentCb callback.
void | linphone_core_cbs_set_call_encryption_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallEncryptionChangedCb cb)
| Set the LinphoneCoreCbsCallEncryptionChangedCb callback.
LinphoneCoreCbsCallEncryptionChangedCb | linphone_core_cbs_get_call_encryption_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallEncryptionChangedCb callback.
void | linphone_core_cbs_set_call_send_master_key_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallSendMasterKeyChangedCb cb)
| Set the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.
LinphoneCoreCbsCallSendMasterKeyChangedCb | linphone_core_cbs_get_call_send_master_key_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.
void | linphone_core_cbs_set_call_receive_master_key_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallReceiveMasterKeyChangedCb cb)
| Set the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.
LinphoneCoreCbsCallReceiveMasterKeyChangedCb | linphone_core_cbs_get_call_receive_master_key_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.
void | linphone_core_cbs_set_transfer_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsTransferStateChangedCb cb)
| Set the LinphoneCoreCbsTransferStateChangedCb callback.
LinphoneCoreCbsTransferStateChangedCb | linphone_core_cbs_get_transfer_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsTransferStateChangedCb callback.
void | linphone_core_cbs_set_buddy_info_updated (LinphoneCoreCbs *cbs, LinphoneCoreCbsBuddyInfoUpdatedCb cb)
| Set the LinphoneCoreCbsBuddyInfoUpdatedCb callback.
LinphoneCoreCbsBuddyInfoUpdatedCb | linphone_core_cbs_get_buddy_info_updated (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsBuddyInfoUpdatedCb callback.
void | linphone_core_cbs_set_call_stats_updated (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallStatsUpdatedCb cb)
| Set the LinphoneCoreCbsCallStatsUpdatedCb callback.
LinphoneCoreCbsCallStatsUpdatedCb | linphone_core_cbs_get_call_stats_updated (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsCallStatsUpdatedCb callback.
void | linphone_core_cbs_set_info_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsInfoReceivedCb cb)
| Set the LinphoneCoreCbsInfoReceivedCb callback.
LinphoneCoreCbsInfoReceivedCb | linphone_core_cbs_get_info_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsInfoReceivedCb callback.
void | linphone_core_cbs_set_subscription_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsSubscriptionStateChangedCb cb)
| Set the LinphoneCoreCbsSubscriptionStateChangedCb callback.
LinphoneCoreCbsSubscriptionStateChangedCb | linphone_core_cbs_get_subscription_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsSubscriptionStateChangedCb callback.
void | linphone_core_cbs_set_notify_sent (LinphoneCoreCbs *cbs, LinphoneCoreCbsNotifySentCb cb)
| Set the LinphoneCoreCbsNotifySentCb callback.
LinphoneCoreCbsNotifySentCb | linphone_core_cbs_get_notify_sent (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNotifySentCb callback.
void | linphone_core_cbs_set_notify_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsNotifyReceivedCb cb)
| Set the LinphoneCoreCbsNotifyReceivedCb callback.
LinphoneCoreCbsNotifyReceivedCb | linphone_core_cbs_get_notify_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNotifyReceivedCb callback.
void | linphone_core_cbs_set_subscribe_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsSubscribeReceivedCb cb)
| Set the LinphoneCoreCbsSubscribeReceivedCb callback.
LinphoneCoreCbsSubscribeReceivedCb | linphone_core_cbs_get_subscribe_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsSubscribeReceivedCb callback.
void | linphone_core_cbs_set_publish_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsPublishStateChangedCb cb)
| Set the LinphoneCoreCbsPublishStateChangedCb callback.
LinphoneCoreCbsPublishStateChangedCb | linphone_core_cbs_get_publish_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsPublishStateChangedCb callback.
void | linphone_core_cbs_set_publish_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsPublishReceivedCb cb)
| Set the LinphoneCoreCbsPublishReceivedCb callback.
LinphoneCoreCbsPublishReceivedCb | linphone_core_cbs_get_publish_received (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsPublishReceivedCb callback.
void | linphone_core_cbs_set_configuring_status (LinphoneCoreCbs *cbs, LinphoneCoreCbsConfiguringStatusCb cb)
| Set the LinphoneCoreCbsConfiguringStatusCb callback.
LinphoneCoreCbsConfiguringStatusCb | linphone_core_cbs_get_configuring_status (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsConfiguringStatusCb callback.
void | linphone_core_cbs_set_network_reachable (LinphoneCoreCbs *cbs, LinphoneCoreCbsNetworkReachableCb cb)
| Set the LinphoneCoreCbsNetworkReachableCb callback.
LinphoneCoreCbsNetworkReachableCb | linphone_core_cbs_get_network_reachable (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsNetworkReachableCb callback.
void | linphone_core_cbs_set_log_collection_upload_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsLogCollectionUploadStateChangedCb cb)
| Set the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.
LinphoneCoreCbsLogCollectionUploadStateChangedCb | linphone_core_cbs_get_log_collection_upload_state_changed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.
void | linphone_core_cbs_set_log_collection_upload_progress_indication (LinphoneCoreCbs *cbs, LinphoneCoreCbsLogCollectionUploadProgressIndicationCb cb)
| Set the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.
LinphoneCoreCbsLogCollectionUploadProgressIndicationCb | linphone_core_cbs_get_log_collection_upload_progress_indication (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.
void | linphone_core_cbs_set_friend_list_created (LinphoneCoreCbs *cbs, LinphoneCoreCbsFriendListCreatedCb cb)
| Set the LinphoneCoreCbsFriendListCreatedCb callback.
LinphoneCoreCbsFriendListCreatedCb | linphone_core_cbs_get_friend_list_created (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsFriendListCreatedCb callback.
void | linphone_core_cbs_set_friend_list_removed (LinphoneCoreCbs *cbs, LinphoneCoreCbsFriendListRemovedCb cb)
| Set the LinphoneCoreCbsFriendListRemovedCb callback.
LinphoneCoreCbsFriendListRemovedCb | linphone_core_cbs_get_friend_list_removed (LinphoneCoreCbs *cbs)
| Get the LinphoneCoreCbsFriendListRemovedCb callback.
void | linphone_core_cbs_set_call_created (LinphoneCoreCbs *cbs, LinphoneCoreCbsCallCreatedCb cb)
| Set the call created callback.
LinphoneCoreCbsCallCreatedCb | linphone_core_cbs_get_call_created (LinphoneCoreCbs *cbs)
| Get the call created callback.
void | linphone_core_cbs_set_version_update_check_result_received (LinphoneCoreCbs *cbs, LinphoneCoreCbsVersionUpdateCheckResultReceivedCb cb)
| Set the version update check result callback.
LinphoneCoreCbsVersionUpdateCheckResultReceivedCb | linphone_core_cbs_get_version_update_check_result_received (LinphoneCoreCbs *cbs)
| Get the version update check result callback.
LinphoneCoreCbsConferenceStateChangedCb | linphone_core_cbs_get_conference_state_changed (LinphoneCoreCbs *cbs)
| Get the conference state changed callback.
void | linphone_core_cbs_set_conference_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsConferenceStateChangedCb cb)
| Set the conference state changed callback.
LinphoneCoreCbsChatRoomStateChangedCb | linphone_core_cbs_get_chat_room_state_changed (LinphoneCoreCbs *cbs)
| Get the chat room state changed callback.
void | linphone_core_cbs_set_chat_room_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomStateChangedCb cb)
| Set the chat room state changed callback.
LinphoneCoreCbsChatRoomSubjectChangedCb | linphone_core_cbs_get_chat_room_subject_changed (LinphoneCoreCbs *cbs)
| Get the chat room subject changed callback.
void | linphone_core_cbs_set_chat_room_subject_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomSubjectChangedCb cb)
| Set the chat room subject changed callback.
LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb | linphone_core_cbs_get_chat_room_ephemeral_message_deleted (LinphoneCoreCbs *cbs)
| Get the chat room ephemeral message deleted callback.
void | linphone_core_cbs_set_chat_room_ephemeral_message_deleted (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb cb)
| Set the chat room ephemeral message deleted callback.
LinphoneCoreCbsImeeUserRegistrationCb | linphone_core_cbs_get_imee_user_registration (LinphoneCoreCbs *cbs)
| Get the IMEE user registration callback.
void | linphone_core_cbs_set_imee_user_registration (LinphoneCoreCbs *cbs, LinphoneCoreCbsImeeUserRegistrationCb cb)
| Set the IMEE user registration callback.
LinphoneCoreCbsQrcodeFoundCb | linphone_core_cbs_get_qrcode_found (LinphoneCoreCbs *cbs)
| Get the qrcode found callback.
void | linphone_core_cbs_set_qrcode_found (LinphoneCoreCbs *cbs, LinphoneCoreCbsQrcodeFoundCb cb)
| Set the qrcode found callback.
LinphoneCoreCbsFirstCallStartedCb | linphone_core_cbs_get_first_call_started (LinphoneCoreCbs *cbs)
| Gets the first call started callback.
void | linphone_core_cbs_set_first_call_started (LinphoneCoreCbs *cbs, LinphoneCoreCbsFirstCallStartedCb cb)
| Sets the first call started callback.
LinphoneCoreCbsLastCallEndedCb | linphone_core_cbs_get_last_call_ended (LinphoneCoreCbs *cbs)
| Gets the last call ended callback.
void | linphone_core_cbs_set_last_call_ended (LinphoneCoreCbs *cbs, LinphoneCoreCbsLastCallEndedCb cb)
| Sets the last call ended callback.
LinphoneCoreCbsAudioDeviceChangedCb | linphone_core_cbs_get_audio_device_changed (LinphoneCoreCbs *cbs)
| Gets the audio device changed callback.
void | linphone_core_cbs_set_audio_device_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsAudioDeviceChangedCb cb)
| Sets the audio device changed callback.
LinphoneCoreCbsAudioDevicesListUpdatedCb | linphone_core_cbs_get_audio_devices_list_updated (LinphoneCoreCbs *cbs)
| Gets the audio devices list updated callback.
void | linphone_core_cbs_set_audio_devices_list_updated (LinphoneCoreCbs *cbs, LinphoneCoreCbsAudioDevicesListUpdatedCb cb)
| Sets the audio devices list updated callback.
void | linphone_core_cbs_set_ec_calibration_result (LinphoneCoreCbs *cbs, LinphoneCoreCbsEcCalibrationResultCb cb)
| Sets a callback to call each time the echo-canceler calibration is completed.
void | linphone_core_cbs_set_ec_calibration_audio_init (LinphoneCoreCbs *cbs, LinphoneCoreCbsEcCalibrationAudioInitCb cb)
| Sets a callback to call when the echo-canceler calibrator has completed its audio graph.
void | linphone_core_cbs_set_ec_calibration_audio_uninit (LinphoneCoreCbs *cbs, LinphoneCoreCbsEcCalibrationAudioUninitCb cb)
| Sets a callback to call when the echo-canceler calibrator destroys its audio graph.
LinphoneCoreCbsChatRoomExhumedCb | linphone_core_cbs_get_chat_room_exhumed (LinphoneCoreCbs *cbs)
| Sets a callback to call when a chat room is exhumed.
void | linphone_core_cbs_set_chat_room_exhumed (LinphoneCoreCbs *cbs, LinphoneCoreCbsChatRoomExhumedCb cb)
| Sets a callback to call when a chat room is exhumed.
void | linphone_core_cbs_set_account_registration_state_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsAccountRegistrationStateChangedCb cb)
| Set the account registration state changed callback.
void | linphone_core_cbs_set_default_account_changed (LinphoneCoreCbs *cbs, LinphoneCoreCbsDefaultAccountChangedCb cb)
| Sets the default account changed callback.
LinphoneCoreCbsDefaultAccountChangedCb | linphone_core_cbs_get_default_account_changed (LinphoneCoreCbs *cbs)
| Gets the default account changed callback.
void | linphone_core_cbs_set_account_added (LinphoneCoreCbs *cbs, LinphoneCoreCbsAccountAddedCb cb)
| Sets the account added callback.
LinphoneCoreCbsAccountAddedCb | linphone_core_cbs_get_account_added (LinphoneCoreCbs *cbs)
| Gets the account added callback.
void | linphone_core_cbs_set_account_removed (LinphoneCoreCbs *cbs, LinphoneCoreCbsAccountRemovedCb cb)
| Sets the account removed callback.
LinphoneCoreCbsAccountRemovedCb | linphone_core_cbs_get_account_removed (LinphoneCoreCbs *cbs)
| Gets the new account removed callback.
LinphoneCoreCbsAccountRegistrationStateChangedCb | linphone_core_cbs_get_account_registration_state_changed (LinphoneCoreCbs *cbs)
| Get the account registration state changed callback.
LinphoneLogCollectionState | linphone_core_log_collection_enabled (void)
| Tells whether the linphone core log collection is enabled.
void | linphone_core_enable_log_collection (LinphoneLogCollectionState state)
| Enable the linphone core log collection to upload logs on a server.
const char * | linphone_core_get_log_collection_path (void)
| Get the path where the log files will be written for log collection.
void | linphone_core_set_log_collection_path (const char *path)
| Set the path of a directory where the log files will be written for log collection.
const char * | linphone_core_get_log_collection_prefix (void)
| Get the prefix of the filenames that will be used for log collection.
void | linphone_core_set_log_collection_prefix (const char *prefix)
| Set the prefix of the filenames that will be used for log collection.
size_t | linphone_core_get_log_collection_max_file_size (void)
| Get the max file size in bytes of the files used for log collection.
void | linphone_core_set_log_collection_max_file_size (size_t size)
| Set the max file size in bytes of the files used for log collection.
void | linphone_core_set_log_collection_upload_server_url (LinphoneCore *core, const char *server_url)
| Set the url of the server where to upload the collected log files.
const char * | linphone_core_get_log_collection_upload_server_url (LinphoneCore *core)
| Gets the url of the server where to upload the collected log files.
void | linphone_core_upload_log_collection (LinphoneCore *core)
| Upload the log collection to the configured server url.
char * | linphone_core_compress_log_collection (void)
| Compress the log collection in a single file.
void | linphone_core_reset_log_collection (void)
| Reset the log collection by removing the log files.
void | linphone_core_serialize_logs (void)
| Enable logs serialization (output logs from either the thread that creates the linphone core or the thread that calls linphone_core_iterate()).
const char * | linphone_core_get_version (void)
| Returns liblinphone's version as a string.
const char * | linphone_core_get_user_agent (LinphoneCore *core)
| Gets the user-agent as a string.
bool_t | linphone_core_is_in_background (const LinphoneCore *core)
| Gets whether the Core is considering itself in background or not.
void | linphone_core_enable_conference_ics_in_message_body (LinphoneCore *core, bool_t enable)
| Enable sending conference invitations in the chat message body instead of as a file attachment.
bool_t | linphone_core_conference_ics_in_message_body_enabled (const LinphoneCore *core)
| Gets wether conference invitations will be sent in the chat message body or as a file attachment.
void | linphone_core_set_label (LinphoneCore *core, const char *label)
| Set a label - for logging/troubleshooting purpose - to the core object.
const char * | linphone_core_get_label (const LinphoneCore *core)
| Get the label assigned to the LinphoneCore.
LinphoneStatus | linphone_core_start (LinphoneCore *core)
| Start a LinphoneCore object after it has been instantiated and not automatically started.
void | linphone_core_stop (LinphoneCore *core)
| Stop a LinphoneCore object after it has been instantiated and started.
void | linphone_core_stop_async (LinphoneCore *core)
| Stop asynchronously a LinphoneCore object after it has been instantiated and started.
LinphoneCore * | linphone_core_ref (LinphoneCore *core)
| Increment the reference counter of a LinphoneCore object.
void | linphone_core_unref (LinphoneCore *core)
| Decrement the ref counter of a LinphoneCore object and destroy it if the counter reach 0.
void | linphone_core_iterate (LinphoneCore *core)
| Main loop function.
void | linphone_core_add_callbacks (LinphoneCore *core, LinphoneCoreCbs *cbs)
| Add a listener in order to be notified of LinphoneCore events.
void | linphone_core_remove_callbacks (LinphoneCore *core, const LinphoneCoreCbs *cbs)
| Remove a listener from a LinphoneCore.
void | linphone_core_verify_server_certificates (LinphoneCore *core, bool_t yesno)
| Specify whether the tls server certificate must be verified when connecting to a SIP/TLS server.
bool_t | linphone_core_is_verify_server_certificates (LinphoneCore *core)
| Get whether the tls server certificate must be verified when connecting to a SIP/TLS server.
void | linphone_core_verify_server_cn (LinphoneCore *core, bool_t yesno)
| Specify whether the tls server certificate common name must be verified when connecting to a SIP/TLS server.
bool_t | linphone_core_is_verify_server_cn (LinphoneCore *core)
| Get whether the tls server certificate common name must be verified when connecting to a SIP/TLS server.
const char * | linphone_core_get_root_ca (LinphoneCore *core)
| Gets the path to a file or folder containing the trusted root CAs (PEM format)
void | linphone_core_set_root_ca (LinphoneCore *core, const char *path)
| Sets the path to a file or folder containing trusted root CAs (PEM format)
void | linphone_core_set_root_ca_data (LinphoneCore *core, const char *data)
| Sets the trusted root CAs (PEM format)
void | linphone_core_set_ssl_config (LinphoneCore *core, void *ssl_config)
void | linphone_core_migrate_logs_from_rc_to_db (LinphoneCore *core)
| Migrates the call logs from the linphonerc to the database if not done yet.
void * | linphone_core_get_user_data (const LinphoneCore *core)
| Retrieves the user pointer that was given to linphone_core_new()
void | linphone_core_set_user_data (LinphoneCore *core, void *user_data)
| Associate a user pointer to the linphone core.
void | linphone_core_set_zrtp_secrets_file (LinphoneCore *core, const char *file)
| Set the path to the file storing the zrtp secrets cache.
const char * | linphone_core_get_zrtp_secrets_file (LinphoneCore *core)
| Get the path to the file storing the zrtp secrets cache.
void | linphone_core_set_user_certificates_path (LinphoneCore *core, const char *path)
| Set the path to the directory storing the user's x509 certificates (used by dtls)
const char * | linphone_core_get_user_certificates_path (LinphoneCore *core)
| Get the path to the directory storing the user's certificates.
void | linphone_core_reload_ms_plugins (LinphoneCore *core, const char *path)
| Reload mediastreamer2 plugins from specified directory.
int | linphone_core_get_max_calls (LinphoneCore *core)
| Get the maximum number of simultaneous calls Linphone core can manage at a time.
void | linphone_core_set_max_calls (LinphoneCore *core, int max)
| Set the maximum number of simultaneous calls Linphone core can manage at a time.
void | linphone_core_set_srtp_crypto_suites (LinphoneCore *core, const char *suites)
| Set the crypto suites available to the core.
const char * | linphone_core_get_srtp_crypto_suites (LinphoneCore *core)
| Get the crypto suites available to the core.
bool_t | linphone_core_zrtp_go_clear_enabled (const LinphoneCore *core)
| Check if the ZRTP go clear is enabled or not.
void | linphone_core_enable_zrtp_go_clear (LinphoneCore *core, bool_t enabled)
| Define whether ZRTP go clear is enabled.
bool_t | linphone_core_media_encryption_supported (LinphoneCore *core, LinphoneMediaEncryption menc)
| Check if a media encryption type is supported.
LinphoneStatus | linphone_core_set_provisioning_uri (LinphoneCore *core, const char *uri)
| Set URI where to download xml configuration file at startup.
const char * | linphone_core_get_provisioning_uri (const LinphoneCore *core)
| Get provisioning URI.
void | linphone_core_add_provisioning_header (LinphoneCore *core, const char *header_name, const char *value)
| Add an extra header for retrieving the remote provisioning (check linphone_core_set_provisioning_uri()).
void | linphone_core_clear_provisioning_headers (LinphoneCore *core)
| Clear all headers that were added with linphone_core_add_provisioning_header().
LinphoneStatus | linphone_core_migrate_to_multi_transport (LinphoneCore *core)
| Migrate configuration so that all SIP transports are enabled.
void | linphone_core_set_supported_tag (LinphoneCore *core, const char *tags)
| Set the supported tags.
void | linphone_core_add_supported_tag (LinphoneCore *core, const char *tag)
| This function controls signaling features supported by the core.
void | linphone_core_remove_supported_tag (LinphoneCore *core, const char *tag)
| Remove a supported tag.
void | linphone_core_set_linphone_specs_list (LinphoneCore *core, const bctbx_list_t *specs)
| Set the linphone specs list value telling what functionalities the linphone client supports.
void | linphone_core_add_linphone_spec (LinphoneCore *core, const char *spec)
| Add the given linphone specs to the list of functionalities the linphone client supports.
void | linphone_core_remove_linphone_spec (LinphoneCore *core, const char *spec)
| Remove the given linphone specs from the list of functionalities the linphone client supports.
bctbx_list_t * | linphone_core_get_linphone_specs_list (LinphoneCore *core)
| Get the list of linphone specs string values representing what functionalities the linphone client supports.
void | linphone_core_set_friends_database_path (LinphoneCore *core, const char *path)
| Sets the database filename where friends will be stored.
const char * | linphone_core_get_friends_database_path (LinphoneCore *core)
| Gets the database filename where friends will be stored.
MS2_DEPRECATED LinphoneCore * | linphone_core_new (const LinphoneCoreVTable *vtable, const char *config_path, const char *factory_config_path, void *userdata)
| Instanciates a LinphoneCore object.
MS2_DEPRECATED LinphoneCore * | linphone_core_new_with_config (const LinphoneCoreVTable *vtable, LinphoneConfig *config, void *userdata)
| Instantiates a LinphoneCore object with a given LpConfig.
MS2_DEPRECATED void | linphone_core_add_listener (LinphoneCore *core, LinphoneCoreVTable *vtable)
| add a listener to be notified of linphone core events.
MS2_DEPRECATED void | linphone_core_remove_listener (LinphoneCore *core, const LinphoneCoreVTable *vtable)
| remove a listener registred by linphone_core_add_listener.
MS2_DEPRECATED void | linphone_core_destroy (LinphoneCore *core)
| Destroys a LinphoneCore.
MS2_DEPRECATED void * | linphone_core_get_zrtp_cache_db (LinphoneCore *core)
| Get a pointer to the sqlite db holding zrtp/lime cache.
MS2_DEPRECATED const char * | linphone_core_get_linphone_specs (const LinphoneCore *core)
| Get the linphone specs value telling what functionalities the linphone client supports.
MS2_DEPRECATED void | linphone_core_set_linphone_specs (LinphoneCore *core, const char *specs)
| Set the linphone specs value telling what functionalities the linphone client supports.
MS2_DEPRECATED void | linphone_core_set_call_logs_database_path (LinphoneCore *core, const char *path)
| Sets the database filename where call logs will be stored.
MS2_DEPRECATED const char * | linphone_core_get_call_logs_database_path (LinphoneCore *core)
| Gets the database filename where call logs will be stored.
const char * | linphone_stream_type_to_string (const LinphoneStreamType type)
| Function returning a human readable value for LinphoneStreamType.
LinphoneFactory * | linphone_factory_get (void)
| Create the LinphoneFactory if that has not been done and return a pointer on it.
void | linphone_factory_clean (void)
| Clean the factory.
LinphoneCore * | linphone_factory_create_core_3 (const LinphoneFactory *factory, const char *config_path, const char *factory_config_path, void *system_context)
| Instantiate a LinphoneCore object.
LinphoneCore * | linphone_factory_create_shared_core (const LinphoneFactory *factory, const char *config_filename, const char *factory_config_path, void *system_context, const char *app_group_id, bool_t main_core)
| Instantiate a shared LinphoneCore object.
LinphoneCore * | linphone_factory_create_core_with_config_3 (const LinphoneFactory *factory, LinphoneConfig *config, void *system_context)
| Instantiate a LinphoneCore object with a given LinphoneConfig.
LinphoneCore * | linphone_factory_create_shared_core_with_config (const LinphoneFactory *factory, LinphoneConfig *config, void *system_context, const char *app_group_id, bool_t main_core)
| Instantiate a shared LinphoneCore object.
LinphoneCoreCbs * | linphone_factory_create_core_cbs (const LinphoneFactory *factory)
| Instanciate a LinphoneCoreCbs object.
LinphoneAddress * | linphone_factory_create_address (const LinphoneFactory *factory, const char *addr)
| Parse a string holding a SIP URI and create the according LinphoneAddress object.
LinphoneParticipantDeviceIdentity * | linphone_factory_create_participant_device_identity (const LinphoneFactory *factory, const LinphoneAddress *address, const char *name)
| Create a LinphoneParticipantDeviceIdentity object.
LinphoneAuthInfo * | linphone_factory_create_auth_info (const LinphoneFactory *factory, const char *username, const char *userid, const char *passwd, const char *ha1, const char *realm, const char *domain)
| Creates a LinphoneAuthInfo object.
LinphoneAuthInfo * | linphone_factory_create_auth_info_2 (const LinphoneFactory *factory, const char *username, const char *userid, const char *passwd, const char *ha1, const char *realm, const char *domain, const char *algorithm)
| Creates a LinphoneAuthInfo object.
char * | linphone_factory_compute_ha1_for_algorithm (const LinphoneFactory *factory, const char *userid, const char *password, const char *realm, const char *algorithm)
| Computes the hashed version of the password given the user ID and the realm, using given algorithm.
LinphoneCallCbs * | linphone_factory_create_call_cbs (const LinphoneFactory *factory)
| Create a LinphoneCallCbs object that holds callbacks for events happening on a call.
LinphoneConferenceCbs * | linphone_factory_create_conference_cbs (const LinphoneFactory *factory)
| Create a LinphoneConferenceCbs object that holds callbacks for events happening on a conference.
LinphoneParticipantDeviceCbs * | linphone_factory_create_participant_device_cbs (const LinphoneFactory *factory)
| Create a LinphoneParticipantDeviceCbs object that holds callbacks for events happening on a participant device.
LinphoneChatRoomCbs * | linphone_factory_create_chat_room_cbs (const LinphoneFactory *factory)
| Create a LinphoneChatRoomCbs object that holds callbacks for events happening on a chat room.
LinphoneChatMessageCbs * | linphone_factory_create_chat_message_cbs (const LinphoneFactory *factory)
| Create a LinphoneChatMessageCbs object that holds callbacks for events happening on a chat message.
LinphoneMagicSearchCbs * | linphone_factory_create_magic_search_cbs (const LinphoneFactory *factory)
| Create a LinphoneMagicSearchCbs object that holds callbacks for events happening on a chat message.
LinphoneVcard * | linphone_factory_create_vcard (LinphoneFactory *factory)
| Create an empty LinphoneVcard.
LinphoneVideoDefinition * | linphone_factory_create_video_definition (const LinphoneFactory *factory, unsigned int width, unsigned int height)
| Create a LinphoneVideoDefinition from a given width and height.
LinphoneVideoDefinition * | linphone_factory_create_video_definition_from_name (const LinphoneFactory *factory, const char *name)
| Create a LinphoneVideoDefinition from a given standard definition name.
const bctbx_list_t * | linphone_factory_get_supported_video_definitions (const LinphoneFactory *factory)
| Get the list of standard video definitions supported by Linphone.
const bctbx_list_t * | linphone_factory_get_recommended_video_definitions (const LinphoneFactory *factory)
| Get the recommended list of standard video definitions.
const char * | linphone_factory_get_top_resources_dir (const LinphoneFactory *factory)
| Get the top directory where the resources are located.
void | linphone_factory_set_top_resources_dir (LinphoneFactory *factory, const char *path)
| Set the top directory where the resources are located.
const char * | linphone_factory_get_data_resources_dir (LinphoneFactory *factory)
| Get the directory where the data resources are located.
void | linphone_factory_set_data_resources_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the data resources are located.
const char * | linphone_factory_get_sound_resources_dir (LinphoneFactory *factory)
| Get the directory where the sound resources are located.
void | linphone_factory_set_sound_resources_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the sound resources are located.
const char * | linphone_factory_get_ring_resources_dir (LinphoneFactory *factory)
| Get the directory where the ring resources are located.
void | linphone_factory_set_ring_resources_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the ring resources are located.
const char * | linphone_factory_get_image_resources_dir (LinphoneFactory *factory)
| Get the directory where the image resources are located.
void | linphone_factory_set_image_resources_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the image resources are located.
const char * | linphone_factory_get_msplugins_dir (LinphoneFactory *factory)
| Get the directory where the mediastreamer2 plugins are located.
void | linphone_factory_set_msplugins_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the mediastreamer2 plugins are located.
const char * | linphone_factory_get_liblinphone_plugins_dir (LinphoneFactory *factory)
| Get the directory where the liblinphone plugins are located.
void | linphone_factory_set_liblinphone_plugins_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the liblinphone plugins are located.
void | linphone_factory_set_config_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the configurations are located.
void | linphone_factory_set_data_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the application local data are located.
void | linphone_factory_set_download_dir (LinphoneFactory *factory, const char *path)
| Set the directory where downloads are located.
void | linphone_factory_set_cache_dir (LinphoneFactory *factory, const char *path)
| Set the directory where the application local cache is located.
LinphoneErrorInfo * | linphone_factory_create_error_info (LinphoneFactory *factory)
| Creates an object LinphoneErrorInfo.
LinphoneRange * | linphone_factory_create_range (LinphoneFactory *factory)
| Creates an object LinphoneRange.
LinphoneTransports * | linphone_factory_create_transports (LinphoneFactory *factory)
| Creates an object LinphoneTransports.
LinphoneVideoActivationPolicy * | linphone_factory_create_video_activation_policy (LinphoneFactory *factory)
| Creates an object LinphoneVideoActivationPolicy.
const bctbx_list_t * | linphone_factory_get_dial_plans (const LinphoneFactory *factory)
| Returns a bctbx_list_t of all DialPlans.
LinphoneContent * | linphone_factory_create_content (LinphoneFactory *factory)
| Creates an object LinphoneContent.
LinphoneContent * | linphone_factory_create_content_from_file (LinphoneFactory *factory, const char *file_path)
| Creates a file object of LinphoneContent from a file path.
LinphoneBuffer * | linphone_factory_create_buffer (LinphoneFactory *factory)
| Creates an object LinphoneBuffer.
LinphoneBuffer * | linphone_factory_create_buffer_from_data (LinphoneFactory *factory, const uint8_t *data, size_t size)
| Creates an object LinphoneBuffer.
LinphoneBuffer * | linphone_factory_create_buffer_from_string (LinphoneFactory *factory, const char *data)
| Creates an object LinphoneBuffer.
LinphoneConfig * | linphone_factory_create_config (LinphoneFactory *factory, const char *path)
| Creates an object LinphoneConfig.
LinphoneConfig * | linphone_factory_create_config_with_factory (LinphoneFactory *factory, const char *path, const char *factory_path)
| Creates an object LinphoneConfig.
LinphoneConfig * | linphone_factory_create_config_from_string (LinphoneFactory *factory, const char *data)
| Creates an object LinphoneConfig.
void * | linphone_factory_get_user_data (const LinphoneFactory *factory)
| Gets the user data in the LinphoneFactory object.
void | linphone_factory_set_user_data (LinphoneFactory *factory, void *data)
| Sets the user data in the LinphoneFactory object.
void | linphone_factory_set_log_collection_path (LinphoneFactory *factory, const char *path)
| Sets the log collection path.
void | linphone_factory_enable_log_collection (LinphoneFactory *factory, LinphoneLogCollectionState state)
| Enables or disables log collection.
LinphoneTunnelConfig * | linphone_factory_create_tunnel_config (LinphoneFactory *factory)
| Creates an object LinphoneTunnelConfig.
LinphoneAccountCbs * | linphone_factory_create_account_cbs (LinphoneFactory *factory)
| Creates an object LinphoneAccountCbs.
LinphoneAlertCbs * | linphone_factory_create_alert_cbs (LinphoneFactory *factory)
| Creates an object LinphoneAlertCbs.
LinphoneSignalInformation * | linphone_factory_create_signal_information (LinphoneFactory *factory)
| Creates an object LinphoneSignalInformation.
LinphoneLoggingServiceCbs * | linphone_factory_create_logging_service_cbs (LinphoneFactory *factory)
| Creates an object LinphoneLoggingServiceCbs.
LinphonePlayerCbs * | linphone_factory_create_player_cbs (LinphoneFactory *factory)
| Creates an object LinphonePlayerCbs.
LinphoneEventCbs * | linphone_factory_create_event_cbs (LinphoneFactory *factory)
| Creates an object LinphoneEventCbs.
LinphoneFriendListCbs * | linphone_factory_create_friend_list_cbs (LinphoneFactory *factory)
| Creates an object LinphoneFriendListCbs.
LinphoneFriendCbs * | linphone_factory_create_friend_cbs (LinphoneFactory *factory)
| Creates an object LinphoneFriendCbs.
LinphoneAccountCreatorCbs * | linphone_factory_create_account_creator_cbs (LinphoneFactory *factory)
| Creates an object LinphoneAccountCreatorCbs.
LinphoneXmlRpcRequestCbs * | linphone_factory_create_xml_rpc_request_cbs (LinphoneFactory *factory)
| Creates an object LinphoneXmlRpcRequestCbs.
bool_t | linphone_factory_is_chatroom_backend_available (LinphoneFactory *factory, LinphoneChatRoomBackend chatroom_backend)
| Indicates if the given LinphoneChatRoomBackend is available.
bool_t | linphone_factory_is_database_storage_available (LinphoneFactory *factory)
| Indicates if the storage in database is available.
bool_t | linphone_factory_is_imdn_available (LinphoneFactory *factory)
| Indicates if IMDN are available.
LinphoneConferenceInfo * | linphone_factory_create_conference_info (LinphoneFactory *factory)
| Creates an object LinphoneConferenceInfo.
LinphoneConferenceInfo * | linphone_factory_create_conference_info_from_icalendar_content (LinphoneFactory *factory, LinphoneContent *content)
| Creates an object LinphoneConferenceInfo from an Icalendar LinphoneContent.
LinphoneParticipantInfo * | linphone_factory_create_participant_info (LinphoneFactory *factory, LinphoneAddress *address)
| Creates an object LinphoneConferenceInfo from an Icalendar LinphoneContent.
LinphoneConferenceSchedulerCbs * | linphone_factory_create_conference_scheduler_cbs (LinphoneFactory *factory)
| Creates an object LinphoneConferenceSchedulerCbs.
bool_t | linphone_factory_is_qrcode_available (LinphoneFactory *factory)
| Indicates if the QRCode feature is available.
LinphoneContent * | linphone_factory_create_qrcode (LinphoneFactory *factory, const char *code, unsigned int width, unsigned int height, unsigned int margin)
| Creates a Bitmap QRCode and return it into an object LinphoneContent.
int | linphone_factory_write_qrcode_file (LinphoneFactory *factory, const char *file_path, const char *code, unsigned int width, unsigned int height, unsigned int margin)
| Creates a QRCode and write it into a JPEG file specified by file_path (only if build with JPEG).
LinphoneVideoSourceDescriptor * | linphone_factory_create_video_source_descriptor (LinphoneFactory *factory)
| Creates an object LinphoneVideoSourceDescriptor.
MS2_DEPRECATED LinphoneCore * | linphone_factory_create_core (const LinphoneFactory *factory, LinphoneCoreCbs *cbs, const char *config_path, const char *factory_config_path)
| Instanciate a LinphoneCore object.
MS2_DEPRECATED LinphoneCore * | linphone_factory_create_core_2 (const LinphoneFactory *factory, LinphoneCoreCbs *cbs, const char *config_path, const char *factory_config_path, void *user_data, void *system_context)
| Instanciate a LinphoneCore object.
MS2_DEPRECATED LinphoneCore * | linphone_factory_create_core_with_config (const LinphoneFactory *factory, LinphoneCoreCbs *cbs, LinphoneConfig *config)
| Instantiates a LinphoneCore object with a given LpConfig.
MS2_DEPRECATED LinphoneCore * | linphone_factory_create_core_with_config_2 (const LinphoneFactory *factory, LinphoneCoreCbs *cbs, LinphoneConfig *config, void *user_data, void *system_context)
| Instantiates a LinphoneCore object with a given LpConfig.
bool_t | linphone_factory_set_vfs_encryption (LinphoneFactory *factory, const uint16_t encryptionModule, const uint8_t *secret, const size_t secretSize)
| Select encryption module and set secret material to encrypt the files.
LinphoneDigestAuthenticationPolicy * | linphone_factory_create_digest_authentication_policy (const LinphoneFactory *factory)
| Create a LinphoneDigestAuthenticationPolicy object.
LinphoneFriendPhoneNumber * | linphone_factory_create_friend_phone_number (const LinphoneFactory *factory, const char *phone_number, const char *label)
| Creates a new LinphoneFriendPhoneNumber objects.

## Detailed Description

Initializing liblinphone.

## Macro Definition Documentation

## ◆ LC_SIP_TRANSPORT_DONTBIND

#define LC_SIP_TRANSPORT_DONTBIND (-2)

Don't create any server socket for this transport, ie don't bind on any port.

Use with LinphoneSipTransports

## ◆ LINPHONE_CORE

#define LINPHONE_CORE | ( |  | object | ) |

Value:
BELLE_SIP_CAST(object, LinphoneCore)
LinphoneCore
struct _LinphoneCore LinphoneCore
Main object to instanciate and on which to keep a reference.
Definition types.h:495

Safely down-cast a belle_sip_object_t into LinphoneCore.

## Typedef Documentation

## ◆ LinphoneConfig

typedef struct _LpConfig LinphoneConfig

This object is used to manipulate a configuration file.

The format of the configuration file is a .ini like format:

- sections are defined in []
- each section contains a sequence of key=value pairs
- each line starting by a # is a comment

Various types can be used: strings and lists of strings, integers, floats, booleans (written as 0 or 1) and range of integers.

Usually a LinphoneCore is initialized using two LinphoneConfig, one default (where configuration changes through API calls will be saved) and one named 'factory' which is read-only and overwrites any setting that may exists in the default one.

It is also possible to use only one (either default or factory) or even none.

## ◆ LinphoneConfiguringState

typedef enum _LinphoneConfiguringState LinphoneConfiguringState

Describes the state of the remote configuring process of the LinphoneCore object, 'Skipped' when the feature is disabled.

It is notified via the configuring_status() callback in LinphoneCoreCbs.

## ◆ LinphoneCore

typedef struct _LinphoneCore LinphoneCore

Main object to instanciate and on which to keep a reference.

This object is the first object to instanciante, and will allow you to perform all kind of tasks. To create it, use either linphone_factory_create_core_3() or linphone_factory_create_core_with_config_3(), see LinphoneConfig for more information about factory and default config. On some platforms like Android or iOS you will need to give it the Context of your application.

Once the LinphoneCore is in state LinphoneGlobalReady, use linphone_core_start(). It will then go to state LinphoneGlobalOn and from that you can start using it for calls and chat messages. It is recommended to add a LinphoneCoreCbs listener using linphone_core_add_callbacks() to monitor different events.

To be able to receive events from the network, you must schedule a call linphone_core_iterate() often, like every 20ms. On Android & iOS linphone_core_is_auto_iterate_enabled() is enabled by default so you don't have to worry about that unless you disable it using linphone_core_enable_auto_iterate() or by setting in the [misc] section of your configuration auto_iterate=0.

Warning
  Our API isn't thread-safe but also isn't blocking, so it is strongly recommend to always call our methods from the main thread.

Once you don't need it anymore, call linphone_core_stop() and release the reference on it so it can gracefully shutdown.

## ◆ LinphoneCoreCbs

typedef struct _LinphoneCoreCbs LinphoneCoreCbs

That class holds all the callbacks which are called by LinphoneCore.

Once created, add your LinphoneCoreCbs using linphone_core_add_callbacks(). Keep a reference on it as long as you need it. You can use linphone_core_remove_callbacks() to remove it but that isn't mandatory.

The same applies to all listeners in our API.

## ◆ LinphoneCoreCbsAccountAddedCb

typedef void(* LinphoneCoreCbsAccountAddedCb) (LinphoneCore *core, LinphoneAccount *account)

Account added callback prototype.

Parameters

  core | LinphoneCore object
  account | LinphoneAccount object that has been added to the Core using linphone_core_add_account() for example.

## ◆ LinphoneCoreCbsAccountRegistrationStateChangedCb

typedef void(* LinphoneCoreCbsAccountRegistrationStateChangedCb) (LinphoneCore *core, LinphoneAccount *account, LinphoneRegistrationState state, const char *message)

Callback notifying that a LinphoneAccount has its registration state changed.

Parameters

  core | The LinphoneCore object.
  account | The LinphoneAccount object which has its registration changed.
  state | The new LinphoneRegistrationState for this account.
  message | a non NULL informational message about the state

## ◆ LinphoneCoreCbsAccountRemovedCb

typedef void(* LinphoneCoreCbsAccountRemovedCb) (LinphoneCore *core, LinphoneAccount *account)

Account removed callback prototype.

Parameters

  core | LinphoneCore object
  account | LinphoneAccount object that has been added to the Core using linphone_core_remove_account() for example.

## ◆ LinphoneCoreCbsAudioDeviceChangedCb

typedef void(* LinphoneCoreCbsAudioDeviceChangedCb) (LinphoneCore *core, LinphoneAudioDevice *audio_device)

Callback prototype telling that the audio device for at least one call has changed.

Parameters

  core | LinphoneCore object
  audio_device | the newly used LinphoneAudioDevice object

## ◆ LinphoneCoreCbsAudioDevicesListUpdatedCb

typedef void(* LinphoneCoreCbsAudioDevicesListUpdatedCb) (LinphoneCore *core)

Callback prototype telling the audio devices list has been updated.

Either a new device is available or a previously available device isn't anymore. You can call linphone_core_get_audio_devices() to get the new list.

Parameters

  core | LinphoneCore object

## ◆ LinphoneCoreCbsAuthenticationRequestedCb

typedef void(* LinphoneCoreCbsAuthenticationRequestedCb) (LinphoneCore *core, LinphoneAuthInfo *auth_info, LinphoneAuthMethod method)

Callback for requesting authentication information to application or user.

Parameters

  core | the LinphoneCore
  auth_info | a LinphoneAuthInfo pre-filled with username, realm and domain values as much as possible
  method | the type of authentication requested as LinphoneAuthMethod enum Application shall reply to this callback using linphone_core_add_auth_info().

## ◆ LinphoneCoreCbsBuddyInfoUpdatedCb

typedef void(* LinphoneCoreCbsBuddyInfoUpdatedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend)

Callback prototype when using the buddy plugin.

Parameters

  core | the LinphoneCore
  linphone_friend | the LinphoneFriend that has been updated

## ◆ LinphoneCoreCbsCallCreatedCb

typedef void(* LinphoneCoreCbsCallCreatedCb) (LinphoneCore *core, LinphoneCall *call)

Callback notifying that a new LinphoneCall (either incoming or outgoing) has been created.

Parameters

  core | LinphoneCore object that has created the call
  call | The newly created LinphoneCall object

## ◆ LinphoneCoreCbsCallEncryptionChangedCb

typedef void(* LinphoneCoreCbsCallEncryptionChangedCb) (LinphoneCore *core, LinphoneCall *call, bool_t media_encryption_enabled, const char *authentication_token)

Call encryption changed callback.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall on which encryption is changed.
  media_encryption_enabled | whether encryption is activated.
  authentication_token | an authentication token, currently set for ZRTP kind of encryption only.

## ◆ LinphoneCoreCbsCallGoClearAckSentCb

typedef void(* LinphoneCoreCbsCallGoClearAckSentCb) (LinphoneCore *core, LinphoneCall *call)

GoClear ACK sent on call callback.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall on which the GoClear ACK was sent.

## ◆ LinphoneCoreCbsCallIdUpdatedCb

typedef void(* LinphoneCoreCbsCallIdUpdatedCb) (LinphoneCore *core, const char *previous_call_id, const char *current_call_id)

Callback to notify the callid of a call has been updated.

This is done typically when a call retry.

Parameters

  core | the LinphoneCore
  previous_call_id | the previous callid.
  current_call_id | the new callid.

## ◆ LinphoneCoreCbsCallLogUpdatedCb

typedef void(* LinphoneCoreCbsCallLogUpdatedCb) (LinphoneCore *core, LinphoneCallLog *call_log)

Callback to notify a new call-log entry has been added.

This is done typically when a call terminates.

Parameters

  core | the LinphoneCore
  call_log | the new LinphoneCallLog entry added.

## ◆ LinphoneCoreCbsCallReceiveMasterKeyChangedCb

typedef void(* LinphoneCoreCbsCallReceiveMasterKeyChangedCb) (LinphoneCore *core, LinphoneCall *call, const char *master_key)

Call receive master key changed callback.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall on which the GoClear ACK was sent.
  master_key | new master key.

## ◆ LinphoneCoreCbsCallSendMasterKeyChangedCb

typedef void(* LinphoneCoreCbsCallSendMasterKeyChangedCb) (LinphoneCore *core, LinphoneCall *call, const char *master_key)

Call send master key changed callback.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall on which the GoClear ACK was sent.
  master_key | new master key.

## ◆ LinphoneCoreCbsCallStateChangedCb

typedef void(* LinphoneCoreCbsCallStateChangedCb) (LinphoneCore *core, LinphoneCall *call, LinphoneCallState state, const char *message)

Call state notification callback.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall object whose state is changed.
  state | the new LinphoneCallState of the call
  message | a non NULL informational message about the state.

## ◆ LinphoneCoreCbsCallStatsUpdatedCb

typedef void(* LinphoneCoreCbsCallStatsUpdatedCb) (LinphoneCore *core, LinphoneCall *call, const LinphoneCallStats *call_stats)

Callback for receiving quality statistics for calls.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall
  call_stats | the LinphoneCallStats statistics.

## ◆ LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb

typedef void(* LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)

Callback prototype telling that a LinphoneChatRoom ephemeral message has expired.

Parameters

  core | LinphoneCore object
  chat_room | The LinphoneChatRoom object for which a message has expired.

## ◆ LinphoneCoreCbsChatRoomReadCb

typedef void(* LinphoneCoreCbsChatRoomReadCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)

Chat room marked as read callback.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom that has been marked as read.

## ◆ LinphoneCoreCbsChatRoomSessionStateChangedCb

typedef void(* LinphoneCoreCbsChatRoomSessionStateChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneCallState state, const char *message)

Chat room session state changed callback.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom that has been marked as read.
  state | the new LinphoneCallState of the call
  message | a non NULL informational message about the state.

## ◆ LinphoneCoreCbsChatRoomStateChangedCb

typedef void(* LinphoneCoreCbsChatRoomStateChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatRoomState state)

Callback prototype telling that a LinphoneChatRoom state has changed.

Parameters

  core | LinphoneCore object
  chat_room | The LinphoneChatRoom object for which the state has changed
  state | the current LinphoneChatRoomState

## ◆ LinphoneCoreCbsChatRoomSubjectChangedCb

typedef void(* LinphoneCoreCbsChatRoomSubjectChangedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)

Callback prototype telling that a LinphoneChatRoom subject has changed.

Parameters

  core | LinphoneCore object
  chat_room | The LinphoneChatRoom object for which the subject has changed

## ◆ LinphoneCoreCbsConferenceStateChangedCb

typedef void(* LinphoneCoreCbsConferenceStateChangedCb) (LinphoneCore *core, LinphoneConference *conference, LinphoneConferenceState state)

Callback prototype telling that a LinphoneConference state has changed.

Parameters

  [in] | core | LinphoneCore object
  [in] | conference | The LinphoneConference object for which the state has changed
  [in] | state | the current LinphoneChatRoomState

## ◆ LinphoneCoreCbsConfiguringStatusCb

typedef void(* LinphoneCoreCbsConfiguringStatusCb) (LinphoneCore *core, LinphoneConfiguringState status, const char *message)

Callback prototype for configuring status changes notification.

Parameters

  core | the LinphoneCore
  status | the current LinphoneConfiguringState
  message | informational message.

## ◆ LinphoneCoreCbsDefaultAccountChangedCb

typedef void(* LinphoneCoreCbsDefaultAccountChangedCb) (LinphoneCore *core, LinphoneAccount *account)

Default account changed callback prototype.

Parameters

  core | LinphoneCore object
  account | LinphoneAccount object that has been set as the default account, probably by calling linphone_core_set_default_account(), or NULL if the default account was removed.

## ◆ LinphoneCoreCbsDtmfReceivedCb

typedef void(* LinphoneCoreCbsDtmfReceivedCb) (LinphoneCore *core, LinphoneCall *call, int dtmf)

Callback for being notified of DTMFs received.

Parameters

  core | the LinphoneCore
  call | the LinphoneCall that received the dtmf
  dtmf | the ascii code of the dtmf

## ◆ LinphoneCoreCbsFirstCallStartedCb

typedef void(* LinphoneCoreCbsFirstCallStartedCb) (LinphoneCore *core)

Callback prototype telling a call has started (incoming or outgoing) while there was no other call.

Parameters

  core | LinphoneCore object

## ◆ LinphoneCoreCbsFriendListCreatedCb

typedef void(* LinphoneCoreCbsFriendListCreatedCb) (LinphoneCore *core, LinphoneFriendList *friend_list)

Callback prototype for reporting when a friend list has been added to the core friend lists.

Parameters

  core | LinphoneCore object
  friend_list | LinphoneFriendList object

## ◆ LinphoneCoreCbsFriendListRemovedCb

typedef void(* LinphoneCoreCbsFriendListRemovedCb) (LinphoneCore *core, LinphoneFriendList *friend_list)

Callback prototype for reporting when a friend list has been removed from the core friend lists.

Parameters

  core | LinphoneCore object
  friend_list | LinphoneFriendList object

## ◆ LinphoneCoreCbsGlobalStateChangedCb

typedef void(* LinphoneCoreCbsGlobalStateChangedCb) (LinphoneCore *core, LinphoneGlobalState state, const char *message)

Global state notification callback.

Parameters

  core | the LinphoneCore.
  state | the LinphoneGlobalState
  message | informational message.

## ◆ LinphoneCoreCbsImeeUserRegistrationCb

typedef void(* LinphoneCoreCbsImeeUserRegistrationCb) (LinphoneCore *core, const bool_t status, const char *user_id, const char *info)

Callback prototype telling that an Instant Message Encryption Engine user registered on the server with or without success.

Parameters

  core | LinphoneCore object
  status | the return status of the registration action.
  user_id | the userId published on the encryption engine server
  info | information about failure

## ◆ LinphoneCoreCbsInfoReceivedCb

typedef void(* LinphoneCoreCbsInfoReceivedCb) (LinphoneCore *core, LinphoneCall *call, const LinphoneInfoMessage *message)

Callback prototype for receiving info messages.

Parameters

  core | the LinphoneCore
  call | the call whose info message belongs to.
  message | the info message.

## ◆ LinphoneCoreCbsIsComposingReceivedCb

typedef void(* LinphoneCoreCbsIsComposingReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)

Is composing notification callback prototype.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in the conversation.

## ◆ LinphoneCoreCbsLastCallEndedCb

typedef void(* LinphoneCoreCbsLastCallEndedCb) (LinphoneCore *core)

Callback prototype telling the last call has ended (linphone_core_get_calls_nb() returns 0)

Parameters

  core | LinphoneCore object

## ◆ LinphoneCoreCbsLogCollectionUploadProgressIndicationCb

typedef void(* LinphoneCoreCbsLogCollectionUploadProgressIndicationCb) (LinphoneCore *core, size_t offset, size_t total)

Callback prototype for reporting log collection upload progress indication.

Parameters

  core | LinphoneCore object
  offset | the number of bytes sent since the start of the upload
  total | the total number of bytes to upload

## ◆ LinphoneCoreCbsLogCollectionUploadStateChangedCb

typedef void(* LinphoneCoreCbsLogCollectionUploadStateChangedCb) (LinphoneCore *core, LinphoneCoreLogCollectionUploadState state, const char *info)

Callback prototype for reporting log collection upload state change.

Parameters

  core | LinphoneCore object
  state | The state of the log collection upload
  info | Additional information: error message in case of error state, URL of uploaded file in case of success.

## ◆ LinphoneCoreCbsMessageReceivedCb

typedef void(* LinphoneCoreCbsMessageReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Chat message callback prototype.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be created by the framework in case the From-URI is not present in any chat room.
  message | LinphoneChatMessage incoming message

## ◆ LinphoneCoreCbsMessageReceivedUnableDecryptCb

typedef void(* LinphoneCoreCbsMessageReceivedUnableDecryptCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Chat message not decrypted callback prototype.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be be created by the framework in case the from-URI is not present in any chat room.
  message | LinphoneChatMessage incoming message

## ◆ LinphoneCoreCbsMessageSentCb

typedef void(* LinphoneCoreCbsMessageSentCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Called after the linphone_chat_message_send() was called.

The message will be in state InProgress. In case of resend this callback won't be called.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be be created by the framework in case the From-URI is not present in any chat room.
  message | LinphoneChatMessage outgoing message

## ◆ LinphoneCoreCbsMessagesReceivedCb

typedef void(* LinphoneCoreCbsMessagesReceivedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, const bctbx_list_t *messages)

Chat messages callback prototype.

Only called when aggregation is enabled (aka [sip] chat_messages_aggregation == 1 or using linphone_core_set_chat_messages_aggregation_enabled()), it replaces the single message received callback.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be created by the framework in case the From-URI is not present in any chat room.
  messages | The of incoming messages

## ◆ LinphoneCoreCbsNetworkReachableCb

typedef void(* LinphoneCoreCbsNetworkReachableCb) (LinphoneCore *core, bool_t reachable)

Callback prototype for reporting network change either automatically detected or notified by linphone_core_set_network_reachable().

Parameters

  core | the LinphoneCore
  reachable | true if network is reachable.

## ◆ LinphoneCoreCbsNewMessageReactionCb

typedef void(* LinphoneCoreCbsNewMessageReactionCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message, const LinphoneChatMessageReaction *reaction)

Chat message new reaction callback prototype.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be created by the framework in case the From-URI is not present in any chat room.
  message | the LinphoneChatMessage to which the reaction applies to
  reaction | the LinphoneChatMessageReaction that has been sent or received

## ◆ LinphoneCoreCbsNewSubscriptionRequestedCb

typedef void(* LinphoneCoreCbsNewSubscriptionRequestedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend, const char *url)

Reports that a new subscription request has been received and wait for a decision.

Note
  A subscription request is notified by this function only if the LinphoneSubscribePolicy for the given LinphoneFriend has been set to LinphoneSPWait. See linphone_friend_set_inc_subscribe_policy().

Parameters

  core | LinphoneCore object
  linphone_friend | The LinphoneFriend aimed by the subscription.
  url | URI of the subscriber

## ◆ LinphoneCoreCbsNotifyPresenceReceivedCb

typedef void(* LinphoneCoreCbsNotifyPresenceReceivedCb) (LinphoneCore *core, LinphoneFriend *linphone_friend)

Report status change for a friend previously added to the LinphoneCore with linphone_core_add_friend().

Parameters

  core | LinphoneCore object
  linphone_friend | Updated LinphoneFriend

## ◆ LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb

typedef void(* LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb) (LinphoneCore *core, LinphoneFriend *linphone_friend, const char *uri_or_tel, const LinphonePresenceModel *presence_model)

Reports presence model change for a specific URI or phone number of a friend.

Parameters

  core | LinphoneCore object
  linphone_friend | LinphoneFriend object
  uri_or_tel | The URI or phone number for which the presence model has changed
  presence_model | The new LinphonePresenceModel

## ◆ LinphoneCoreCbsQrcodeFoundCb

typedef void(* LinphoneCoreCbsQrcodeFoundCb) (LinphoneCore *core, const char *result)

Callback prototype telling the result of decoded qrcode.

Parameters

  core | LinphoneCore object
  result | The result of the decoded qrcode

## ◆ LinphoneCoreCbsReactionRemovedCb

typedef void(* LinphoneCoreCbsReactionRemovedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room, LinphoneChatMessage *message, const LinphoneAddress *address)

Chat message removed reaction callback prototype.

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom involved in this conversation. Can be created by the framework in case the From-URI is not present in any chat room.
  message | the LinphoneChatMessage to which a reaction has been removed from
  address | the LinphoneAddress of the person that removed it's reaction

## ◆ LinphoneCoreCbsReferReceivedCb

typedef void(* LinphoneCoreCbsReferReceivedCb) (LinphoneCore *core, const char *refer_to)

Callback prototype for when a refer is received.

Parameters

  core | the LinphoneCore
  refer_to | the address of the refer

## ◆ LinphoneCoreCbsRegistrationStateChangedCb

typedef void(* LinphoneCoreCbsRegistrationStateChangedCb) (LinphoneCore *core, LinphoneProxyConfig *proxy_config, LinphoneRegistrationState state, const char *message)

Registration state notification callback prototype.

Parameters

  core | the LinphoneCore
  proxy_config | the LinphoneProxyConfig which state has changed
  state | the current LinphoneRegistrationState
  message | a non NULL informational message about the state

Deprecated
  06/04/2020 Use LinphoneCoreCbsAccountRegistrationStateChangedCb instead

## ◆ LinphoneCoreCbsTransferStateChangedCb

typedef void(* LinphoneCoreCbsTransferStateChangedCb) (LinphoneCore *core, LinphoneCall *transfered, LinphoneCallState call_state)

Callback for notifying progresses of transfers.

Parameters

  core | the LinphoneCore
  transfered | the LinphoneCall that was transfered
  call_state | the LinphoneCallState of the call to transfer target at the far end.

## ◆ LinphoneCoreCbsVersionUpdateCheckResultReceivedCb

typedef void(* LinphoneCoreCbsVersionUpdateCheckResultReceivedCb) (LinphoneCore *core, LinphoneVersionUpdateCheckResult result, const char *version, const char *url)

Callback prototype for reporting the result of a version update check.

Parameters

  core | LinphoneCore object
  result | The result of the version update check
  version | The version to update to
  url | The url where to download the new version if the result is LinphoneVersionUpdateCheckNewVersionAvailable

## ◆ LinphoneCoreFileTransferProgressIndicationCb

typedef void(* LinphoneCoreFileTransferProgressIndicationCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, size_t offset, size_t total)

File transfer progress indication callback prototype.

Parameters

  core | LinphoneCore object
  message | LinphoneChatMessage message from which the body is received.
  content | LinphoneContent incoming content information
  offset | The number of bytes sent/received since the beginning of the transfer.
  total | The total number of bytes to be sent/received.

## ◆ LinphoneCoreFileTransferRecvCb

typedef void(* LinphoneCoreFileTransferRecvCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, const char *buffer, size_t size)

File transfer receive callback prototype.

This function is called by the core upon an incoming File transfer is started. This function may be call several time for the same file in case of large file.

Parameters

  core | LinphoneCore object
  message | LinphoneChatMessage message from which the body is received.
  content | LinphoneContent incoming content information
  buffer | pointer to the received data
  size | number of bytes to be read from buff. 0 means end of file.

## ◆ LinphoneCoreFileTransferSendCb

typedef void(* LinphoneCoreFileTransferSendCb) (LinphoneCore *core, LinphoneChatMessage *message, LinphoneContent *content, char *buffer, size_t *size)

File transfer send callback prototype.

This function is called by the core upon an outgoing file transfer is started. This function is called until size is set to 0.

Parameters

  core | LinphoneCore object
  message | LinphoneChatMessage message from which the body is received.
  content | LinphoneContent outgoing content
  buffer | pointer to the buffer where data chunk shall be written by the app
  size | as input value, it represents the number of bytes expected by the framework. As output value, it means the number of bytes wrote by the application in the buffer. 0 means end of file.

## ◆ LinphoneCoreVTable

typedef struct _LinphoneCoreVTable LinphoneCoreVTable

This structure holds all callbacks that the application should implement.

None is mandatory.

## ◆ LinphoneFactory

typedef struct _LinphoneFactory LinphoneFactory

The factory is a singleton object devoted to the creation of all the objects of Liblinphone that cannot be created by LinphoneCore itself.

It is also used to configure a few behaviors before creating the LinphoneCore, like the logs verbosity or collection.

## ◆ LinphoneGlobalState

typedef enum _LinphoneGlobalState LinphoneGlobalState

Describes the global state of the LinphoneCore object.

It is notified via the global_state_changed() callback in LinphoneCoreCbs.

## ◆ LinphoneTransports

typedef struct _LinphoneTransports LinphoneTransports

SIP transports & ports configuration object.

Indicates which transport among UDP, TCP, TLS and DTLS should be enabled and if so on which port to listen. You can use special values like LC_SIP_TRANSPORT_DISABLED (0), LC_SIP_TRANSPORT_RANDOM (-1) and LC_SIP_TRANSPORT_DONTBIND (-2).

Once configuration is complete, use linphone_core_set_transports() to apply it. This will be saved in configuration file so you don't have to do it each time the LinphoneCore starts.

## Enumeration Type Documentation

## ◆ _LinphoneAddressFamily

enum _LinphoneAddressFamily

Enum describing Ip family.

Enumerator
LinphoneAddressFamilyInet | IpV4.
LinphoneAddressFamilyInet6 | IpV6.
LinphoneAddressFamilyUnspec | Unknown.

## ◆ _LinphoneConfiguringState

enum _LinphoneConfiguringState

Describes the state of the remote configuring process of the LinphoneCore object, 'Skipped' when the feature is disabled.

It is notified via the configuring_status() callback in LinphoneCoreCbs.

## ◆ _LinphoneCoreLogCollectionUploadState

enum _LinphoneCoreLogCollectionUploadState

Used to notify if log collection upload have been succesfully delivered or not.

Enumerator
LinphoneCoreLogCollectionUploadStateInProgress | Delivery in progress.
LinphoneCoreLogCollectionUploadStateDelivered | Log collection upload successfully delivered and acknowledged by remote end point.
LinphoneCoreLogCollectionUploadStateNotDelivered | Log collection upload was not delivered.

## ◆ _LinphoneGlobalState

enum _LinphoneGlobalState

Describes the global state of the LinphoneCore object.

It is notified via the global_state_changed() callback in LinphoneCoreCbs.

Enumerator
LinphoneGlobalOff | State in which we're in after linphone_core_stop(). Do not call any method while in this state except for linphone_core_start()
LinphoneGlobalStartup | Transient state for when we call linphone_core_start()
LinphoneGlobalOn | Indicates LinphoneCore has been started and is up and running.
LinphoneGlobalShutdown | Transient state for when we call linphone_core_stop()
LinphoneGlobalConfiguring | Transient state between Startup and On if there is a remote provisionning URI configured.
LinphoneGlobalReady | LinphoneCore state after being created by linphone_factory_create_core(), generally followed by a call to linphone_core_start()

## ◆ _LinphoneIceState

enum _LinphoneIceState

Enum describing ICE states.

Enumerator
LinphoneIceStateNotActivated | ICE has not been activated for this call or stream.
LinphoneIceStateFailed | ICE processing has failed.
LinphoneIceStateInProgress | ICE process is in progress.
LinphoneIceStateHostConnection | ICE has established a direct connection to the remote host.
LinphoneIceStateReflexiveConnection | ICE has established a connection to the remote host through one or several NATs.
LinphoneIceStateRelayConnection | ICE has established a connection through a relay.

## ◆ _LinphoneUpnpState

enum _LinphoneUpnpState

Enum describing uPnP states.

Enumerator
LinphoneUpnpStateIdle | uPnP is not activate
LinphoneUpnpStatePending | uPnP process is in progress
LinphoneUpnpStateAdding | Internal use: Only used by port binding.
LinphoneUpnpStateRemoving | Internal use: Only used by port binding.
LinphoneUpnpStateNotAvailable | uPnP is not available
LinphoneUpnpStateOk | uPnP is enabled
LinphoneUpnpStateKo | uPnP processing has failed
LinphoneUpnpStateBlacklisted | IGD router is blacklisted.

## Function Documentation

## ◆ linphone_conference_get_user_data()

void * linphone_conference_get_user_data | ( | const LinphoneConference * | conference | ) |

Retrieves the user pointer that was given to linphone_conference_new()

Parameters

  conference | LinphoneConference object

Returns
  The user data associated with the LinphoneConference object.

## ◆ linphone_conference_set_user_data()

void linphone_conference_set_user_data | ( | LinphoneConference * | conference,
|  | void * | user_data )

Associate a user pointer to the linphone conference.

Parameters

  conference | LinphoneConference object
  user_data | The user data to associate with the LinphoneConference object.

## ◆ linphone_core_add_callbacks()

void linphone_core_add_callbacks | ( | LinphoneCore * | core,
|  | LinphoneCoreCbs * | cbs )

Add a listener in order to be notified of LinphoneCore events.

Once an event is received, registred LinphoneCoreCbs are invoked sequencially.

Parameters

  core | The LinphoneCore object to monitor.
  cbs | A LinphoneCoreCbs object holding the callbacks you need. A reference is taken by LinphoneCore until you invoke linphone_core_remove_callbacks().

## ◆ linphone_core_add_linphone_spec()

void linphone_core_add_linphone_spec | ( | LinphoneCore * | core,
|  | const char * | spec )

Add the given linphone specs to the list of functionalities the linphone client supports.

Parameters

  core | LinphoneCore object
  spec | The spec to add

## ◆ linphone_core_add_listener()

MS2_DEPRECATED void linphone_core_add_listener | ( | LinphoneCore * | core,
|  | LinphoneCoreVTable * | vtable )

add a listener to be notified of linphone core events.

Once events are received, registered vtable are invoked in order.

Parameters

  vtable | a LinphoneCoreVTable structure holding your application callbacks. Object is owned by linphone core until linphone_core_remove_listener.
  core | object

Deprecated
  12/01/2017 Use linphone_core_add_callbacks() instead.

## ◆ linphone_core_add_provisioning_header()

void linphone_core_add_provisioning_header | ( | LinphoneCore * | core,
|  | const char * | header_name,
|  | const char * | value )

Add an extra header for retrieving the remote provisioning (check linphone_core_set_provisioning_uri()).

This can also be set from configuration file or factory config file, from[misc] section, item "config-uri-headers_X" where X is the index of the header starting by 0.

Parameters

  core | the LinphoneCore object
  header_name | the header to use when downloading the configuration.
  value | the value to use when downloading the configuration.

## ◆ linphone_core_add_supported_tag()

void linphone_core_add_supported_tag | ( | LinphoneCore * | core,
|  | const char * | tag )

This function controls signaling features supported by the core.

They are typically included in a SIP Supported header.

Parameters

  core | LinphoneCore object
  tag | The feature tag name

## ◆ linphone_core_cbs_get_account_added()

LinphoneCoreCbsAccountAddedCb linphone_core_cbs_get_account_added | ( | LinphoneCoreCbs * | cbs | ) |

Gets the account added callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The account added callback that will be triggered.

## ◆ linphone_core_cbs_get_account_registration_state_changed()

LinphoneCoreCbsAccountRegistrationStateChangedCb linphone_core_cbs_get_account_registration_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the account registration state changed callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The current account registration state changed callback.

## ◆ linphone_core_cbs_get_account_removed()

LinphoneCoreCbsAccountRemovedCb linphone_core_cbs_get_account_removed | ( | LinphoneCoreCbs * | cbs | ) |

Gets the new account removed callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The new account removed callback that will be triggered.

## ◆ linphone_core_cbs_get_audio_device_changed()

LinphoneCoreCbsAudioDeviceChangedCb linphone_core_cbs_get_audio_device_changed | ( | LinphoneCoreCbs * | cbs | ) |

Gets the audio device changed callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_audio_devices_list_updated()

LinphoneCoreCbsAudioDevicesListUpdatedCb linphone_core_cbs_get_audio_devices_list_updated | ( | LinphoneCoreCbs * | cbs | ) |

Gets the audio devices list updated callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_authentication_requested()

LinphoneCoreCbsAuthenticationRequestedCb linphone_core_cbs_get_authentication_requested | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsAuthenticationRequestedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_buddy_info_updated()

LinphoneCoreCbsBuddyInfoUpdatedCb linphone_core_cbs_get_buddy_info_updated | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsBuddyInfoUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_created()

LinphoneCoreCbsCallCreatedCb linphone_core_cbs_get_call_created | ( | LinphoneCoreCbs * | cbs | ) |

Get the call created callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The current call created callback.

## ◆ linphone_core_cbs_get_call_encryption_changed()

LinphoneCoreCbsCallEncryptionChangedCb linphone_core_cbs_get_call_encryption_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallEncryptionChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_goclear_ack_sent()

LinphoneCoreCbsCallGoClearAckSentCb linphone_core_cbs_get_call_goclear_ack_sent | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallGoClearAckSentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_id_updated()

LinphoneCoreCbsCallIdUpdatedCb linphone_core_cbs_get_call_id_updated | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallIdUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_log_updated()

LinphoneCoreCbsCallLogUpdatedCb linphone_core_cbs_get_call_log_updated | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallLogUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_receive_master_key_changed()

LinphoneCoreCbsCallReceiveMasterKeyChangedCb linphone_core_cbs_get_call_receive_master_key_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_send_master_key_changed()

LinphoneCoreCbsCallSendMasterKeyChangedCb linphone_core_cbs_get_call_send_master_key_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_state_changed()

LinphoneCoreCbsCallStateChangedCb linphone_core_cbs_get_call_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_call_stats_updated()

LinphoneCoreCbsCallStatsUpdatedCb linphone_core_cbs_get_call_stats_updated | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsCallStatsUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_chat_room_ephemeral_message_deleted()

LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb linphone_core_cbs_get_chat_room_ephemeral_message_deleted | ( | LinphoneCoreCbs * | cbs | ) |

Get the chat room ephemeral message deleted callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_chat_room_exhumed()

LinphoneCoreCbsChatRoomExhumedCb linphone_core_cbs_get_chat_room_exhumed | ( | LinphoneCoreCbs * | cbs | ) |

Sets a callback to call when a chat room is exhumed.

Internal use only!

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The callback to use

## ◆ linphone_core_cbs_get_chat_room_read()

LinphoneCoreCbsChatRoomReadCb linphone_core_cbs_get_chat_room_read | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsChatRoomReadCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_chat_room_session_state_changed()

LinphoneCoreCbsChatRoomSessionStateChangedCb linphone_core_cbs_get_chat_room_session_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_chat_room_state_changed()

LinphoneCoreCbsChatRoomStateChangedCb linphone_core_cbs_get_chat_room_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the chat room state changed callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_chat_room_subject_changed()

LinphoneCoreCbsChatRoomSubjectChangedCb linphone_core_cbs_get_chat_room_subject_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the chat room subject changed callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_conference_info_received()

LinphoneCoreCbsConferenceInfoReceivedCb linphone_core_cbs_get_conference_info_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the conference info received callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The current conference info received callback.

## ◆ linphone_core_cbs_get_conference_state_changed()

LinphoneCoreCbsConferenceStateChangedCb linphone_core_cbs_get_conference_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the conference state changed callback.

Parameters

  [in] | cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_configuring_status()

LinphoneCoreCbsConfiguringStatusCb linphone_core_cbs_get_configuring_status | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsConfiguringStatusCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_default_account_changed()

LinphoneCoreCbsDefaultAccountChangedCb linphone_core_cbs_get_default_account_changed | ( | LinphoneCoreCbs * | cbs | ) |

Gets the default account changed callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The default account changed callback that will be triggered.

## ◆ linphone_core_cbs_get_dtmf_received()

LinphoneCoreCbsDtmfReceivedCb linphone_core_cbs_get_dtmf_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsDtmfReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_first_call_started()

LinphoneCoreCbsFirstCallStartedCb linphone_core_cbs_get_first_call_started | ( | LinphoneCoreCbs * | cbs | ) |

Gets the first call started callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_friend_list_created()

LinphoneCoreCbsFriendListCreatedCb linphone_core_cbs_get_friend_list_created | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsFriendListCreatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_friend_list_removed()

LinphoneCoreCbsFriendListRemovedCb linphone_core_cbs_get_friend_list_removed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsFriendListRemovedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_global_state_changed()

LinphoneCoreCbsGlobalStateChangedCb linphone_core_cbs_get_global_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the # callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_imee_user_registration()

LinphoneCoreCbsImeeUserRegistrationCb linphone_core_cbs_get_imee_user_registration | ( | LinphoneCoreCbs * | cbs | ) |

Get the IMEE user registration callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_info_received()

LinphoneCoreCbsInfoReceivedCb linphone_core_cbs_get_info_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsInfoReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_is_composing_received()

LinphoneCoreCbsIsComposingReceivedCb linphone_core_cbs_get_is_composing_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsIsComposingReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_last_call_ended()

LinphoneCoreCbsLastCallEndedCb linphone_core_cbs_get_last_call_ended | ( | LinphoneCoreCbs * | cbs | ) |

Gets the last call ended callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_log_collection_upload_progress_indication()

LinphoneCoreCbsLogCollectionUploadProgressIndicationCb linphone_core_cbs_get_log_collection_upload_progress_indication | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_log_collection_upload_state_changed()

LinphoneCoreCbsLogCollectionUploadStateChangedCb linphone_core_cbs_get_log_collection_upload_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_message_received()

LinphoneCoreCbsMessageReceivedCb linphone_core_cbs_get_message_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsMessageReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_message_received_unable_decrypt()

LinphoneCoreCbsMessageReceivedUnableDecryptCb linphone_core_cbs_get_message_received_unable_decrypt | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_message_sent()

LinphoneCoreCbsMessageSentCb linphone_core_cbs_get_message_sent | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsMessageSentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_messages_received()

LinphoneCoreCbsMessagesReceivedCb linphone_core_cbs_get_messages_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsMessagesReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_network_reachable()

LinphoneCoreCbsNetworkReachableCb linphone_core_cbs_get_network_reachable | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNetworkReachableCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_new_message_reaction()

LinphoneCoreCbsNewMessageReactionCb linphone_core_cbs_get_new_message_reaction | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNewMessageReactionCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_new_subscription_requested()

LinphoneCoreCbsNewSubscriptionRequestedCb linphone_core_cbs_get_new_subscription_requested | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNewSubscriptionRequestedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_notify_presence_received()

LinphoneCoreCbsNotifyPresenceReceivedCb linphone_core_cbs_get_notify_presence_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNotifyPresenceReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_notify_presence_received_for_uri_or_tel()

LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb linphone_core_cbs_get_notify_presence_received_for_uri_or_tel | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_notify_received()

LinphoneCoreCbsNotifyReceivedCb linphone_core_cbs_get_notify_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNotifyReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_notify_sent()

LinphoneCoreCbsNotifySentCb linphone_core_cbs_get_notify_sent | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsNotifySentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_preview_display_error_occurred()

LinphoneCoreCbsPreviewDisplayErrorOccurredCb linphone_core_cbs_get_preview_display_error_occurred | ( | const LinphoneCoreCbs * | cbs | ) |

Get the rendering not working callback for preview.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The callback to use

## ◆ linphone_core_cbs_get_publish_received()

LinphoneCoreCbsPublishReceivedCb linphone_core_cbs_get_publish_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsPublishReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_publish_state_changed()

LinphoneCoreCbsPublishStateChangedCb linphone_core_cbs_get_publish_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsPublishStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_push_notification_received()

LinphoneCoreCbsPushNotificationReceivedCb linphone_core_cbs_get_push_notification_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the push notification received callback.

Parameters

  cbs | LinphoneCoreCbs object.

Returns
  The current push notification received callback.

## ◆ linphone_core_cbs_get_qrcode_found()

LinphoneCoreCbsQrcodeFoundCb linphone_core_cbs_get_qrcode_found | ( | LinphoneCoreCbs * | cbs | ) |

Get the qrcode found callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_get_reaction_removed()

LinphoneCoreCbsReactionRemovedCb linphone_core_cbs_get_reaction_removed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsReactionRemovedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_refer_received()

LinphoneCoreCbsReferReceivedCb linphone_core_cbs_get_refer_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsReferReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_registration_state_changed()

LinphoneCoreCbsRegistrationStateChangedCb linphone_core_cbs_get_registration_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsRegistrationStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

Deprecated
  30/09/2020. see linphone_account_cbs_get_registration_state_changed()

## ◆ linphone_core_cbs_get_subscribe_received()

LinphoneCoreCbsSubscribeReceivedCb linphone_core_cbs_get_subscribe_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsSubscribeReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_subscription_state_changed()

LinphoneCoreCbsSubscriptionStateChangedCb linphone_core_cbs_get_subscription_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsSubscriptionStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_transfer_state_changed()

LinphoneCoreCbsTransferStateChangedCb linphone_core_cbs_get_transfer_state_changed | ( | LinphoneCoreCbs * | cbs | ) |

Get the LinphoneCoreCbsTransferStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.

Returns
  The callback.

## ◆ linphone_core_cbs_get_user_data()

void * linphone_core_cbs_get_user_data | ( | const LinphoneCoreCbs * | cbs | ) |

Get the user pointer.

Parameters

  cbs | the LinphoneCoreCbs object

Returns
  the user data pointer.

## ◆ linphone_core_cbs_get_version_update_check_result_received()

LinphoneCoreCbsVersionUpdateCheckResultReceivedCb linphone_core_cbs_get_version_update_check_result_received | ( | LinphoneCoreCbs * | cbs | ) |

Get the version update check result callback.

Parameters

  cbs | LinphoneCoreCbs object

Returns
  The current callback

## ◆ linphone_core_cbs_ref()

LinphoneCoreCbs * linphone_core_cbs_ref | ( | LinphoneCoreCbs * | cbs | ) |

Increment the reference counter.

Parameters

  cbs | the LinphoneCoreCbs object

Returns
  the same LinphoneCoreCbs object

## ◆ linphone_core_cbs_set_account_added()

void linphone_core_cbs_set_account_added | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAccountAddedCb | cb )

Sets the account added callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The account added callback to be used.

## ◆ linphone_core_cbs_set_account_registration_state_changed()

void linphone_core_cbs_set_account_registration_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAccountRegistrationStateChangedCb | cb )

Set the account registration state changed callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The account registration state changed callback to be used.

## ◆ linphone_core_cbs_set_account_removed()

void linphone_core_cbs_set_account_removed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAccountRemovedCb | cb )

Sets the account removed callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The new account removed callback to be used.

## ◆ linphone_core_cbs_set_audio_device_changed()

void linphone_core_cbs_set_audio_device_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAudioDeviceChangedCb | cb )

Sets the audio device changed callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_audio_devices_list_updated()

void linphone_core_cbs_set_audio_devices_list_updated | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAudioDevicesListUpdatedCb | cb )

Sets the audio devices list updated callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_authentication_requested()

void linphone_core_cbs_set_authentication_requested | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsAuthenticationRequestedCb | cb )

Set the LinphoneCoreCbsAuthenticationRequestedCb callback.

'

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_buddy_info_updated()

void linphone_core_cbs_set_buddy_info_updated | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsBuddyInfoUpdatedCb | cb )

Set the LinphoneCoreCbsBuddyInfoUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_created()

void linphone_core_cbs_set_call_created | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallCreatedCb | cb )

Set the call created callback.

Parameters

  cbs | LinphoneCallCbs object.
  cb | The call created callback to be used.

## ◆ linphone_core_cbs_set_call_encryption_changed()

void linphone_core_cbs_set_call_encryption_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallEncryptionChangedCb | cb )

Set the LinphoneCoreCbsCallEncryptionChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_goclear_ack_sent()

void linphone_core_cbs_set_call_goclear_ack_sent | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallGoClearAckSentCb | cb )

Set the LinphoneCoreCbsCallGoClearAckSentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_id_updated()

void linphone_core_cbs_set_call_id_updated | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallIdUpdatedCb | cb )

Set the LinphoneCoreCbsCallIdUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_log_updated()

void linphone_core_cbs_set_call_log_updated | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallLogUpdatedCb | cb )

Set the LinphoneCoreCbsCallLogUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_receive_master_key_changed()

void linphone_core_cbs_set_call_receive_master_key_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallReceiveMasterKeyChangedCb | cb )

Set the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_send_master_key_changed()

void linphone_core_cbs_set_call_send_master_key_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallSendMasterKeyChangedCb | cb )

Set the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_state_changed()

void linphone_core_cbs_set_call_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallStateChangedCb | cb )

Set the LinphoneCoreCbsCallStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_call_stats_updated()

void linphone_core_cbs_set_call_stats_updated | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsCallStatsUpdatedCb | cb )

Set the LinphoneCoreCbsCallStatsUpdatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_chat_room_ephemeral_message_deleted()

void linphone_core_cbs_set_chat_room_ephemeral_message_deleted | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomEphemeralMessageDeleteCb | cb )

Set the chat room ephemeral message deleted callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_chat_room_exhumed()

void linphone_core_cbs_set_chat_room_exhumed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomExhumedCb | cb )

Sets a callback to call when a chat room is exhumed.

Internal use only!

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_chat_room_read()

void linphone_core_cbs_set_chat_room_read | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomReadCb | cb )

Set the LinphoneCoreCbsChatRoomReadCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_chat_room_session_state_changed()

void linphone_core_cbs_set_chat_room_session_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomSessionStateChangedCb | cb )

Set the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_chat_room_state_changed()

void linphone_core_cbs_set_chat_room_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomStateChangedCb | cb )

Set the chat room state changed callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_chat_room_subject_changed()

void linphone_core_cbs_set_chat_room_subject_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsChatRoomSubjectChangedCb | cb )

Set the chat room subject changed callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_conference_info_received()

void linphone_core_cbs_set_conference_info_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsConferenceInfoReceivedCb | cb )

Set the conference info received callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The conference info received callback to be used.

## ◆ linphone_core_cbs_set_conference_state_changed()

void linphone_core_cbs_set_conference_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsConferenceStateChangedCb | cb )

Set the conference state changed callback.

Parameters

  [in] | cbs | LinphoneCoreCbs object
  [in] | cb | The callback to use

## ◆ linphone_core_cbs_set_configuring_status()

void linphone_core_cbs_set_configuring_status | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsConfiguringStatusCb | cb )

Set the LinphoneCoreCbsConfiguringStatusCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_default_account_changed()

void linphone_core_cbs_set_default_account_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsDefaultAccountChangedCb | cb )

Sets the default account changed callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The default account changed callback to be used.

## ◆ linphone_core_cbs_set_dtmf_received()

void linphone_core_cbs_set_dtmf_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsDtmfReceivedCb | cb )

Set the LinphoneCoreCbsDtmfReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_ec_calibration_audio_init()

void linphone_core_cbs_set_ec_calibration_audio_init | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsEcCalibrationAudioInitCb | cb )

Sets a callback to call when the echo-canceler calibrator has completed its audio graph.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_ec_calibration_audio_uninit()

void linphone_core_cbs_set_ec_calibration_audio_uninit | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsEcCalibrationAudioUninitCb | cb )

Sets a callback to call when the echo-canceler calibrator destroys its audio graph.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_ec_calibration_result()

void linphone_core_cbs_set_ec_calibration_result | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsEcCalibrationResultCb | cb )

Sets a callback to call each time the echo-canceler calibration is completed.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_first_call_started()

void linphone_core_cbs_set_first_call_started | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsFirstCallStartedCb | cb )

Sets the first call started callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_friend_list_created()

void linphone_core_cbs_set_friend_list_created | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsFriendListCreatedCb | cb )

Set the LinphoneCoreCbsFriendListCreatedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_friend_list_removed()

void linphone_core_cbs_set_friend_list_removed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsFriendListRemovedCb | cb )

Set the LinphoneCoreCbsFriendListRemovedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_global_state_changed()

void linphone_core_cbs_set_global_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsGlobalStateChangedCb | cb )

Set the LinphoneCoreGlobalStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_imee_user_registration()

void linphone_core_cbs_set_imee_user_registration | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsImeeUserRegistrationCb | cb )

Set the IMEE user registration callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_info_received()

void linphone_core_cbs_set_info_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsInfoReceivedCb | cb )

Set the LinphoneCoreCbsInfoReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_is_composing_received()

void linphone_core_cbs_set_is_composing_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsIsComposingReceivedCb | cb )

Set the LinphoneCoreCbsIsComposingReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_last_call_ended()

void linphone_core_cbs_set_last_call_ended | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsLastCallEndedCb | cb )

Sets the last call ended callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_log_collection_upload_progress_indication()

void linphone_core_cbs_set_log_collection_upload_progress_indication | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsLogCollectionUploadProgressIndicationCb | cb )

Set the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_log_collection_upload_state_changed()

void linphone_core_cbs_set_log_collection_upload_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsLogCollectionUploadStateChangedCb | cb )

Set the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_message_received()

void linphone_core_cbs_set_message_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsMessageReceivedCb | cb )

Set the LinphoneCoreCbsMessageReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_message_received_unable_decrypt()

void linphone_core_cbs_set_message_received_unable_decrypt | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsMessageReceivedUnableDecryptCb | cb )

Set the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_message_sent()

void linphone_core_cbs_set_message_sent | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsMessageSentCb | cb )

Set the LinphoneCoreCbsMessageSentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_messages_received()

void linphone_core_cbs_set_messages_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsMessagesReceivedCb | cb )

Set the LinphoneCoreCbsMessagesReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_network_reachable()

void linphone_core_cbs_set_network_reachable | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNetworkReachableCb | cb )

Set the LinphoneCoreCbsNetworkReachableCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_new_message_reaction()

void linphone_core_cbs_set_new_message_reaction | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNewMessageReactionCb | cb )

Set the LinphoneCoreCbsNewMessageReactionCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_new_subscription_requested()

void linphone_core_cbs_set_new_subscription_requested | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNewSubscriptionRequestedCb | cb )

Set the LinphoneCoreCbsNewSubscriptionRequestedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_notify_presence_received()

void linphone_core_cbs_set_notify_presence_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNotifyPresenceReceivedCb | cb )

Set the LinphoneCoreCbsNotifyPresenceReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_notify_presence_received_for_uri_or_tel()

void linphone_core_cbs_set_notify_presence_received_for_uri_or_tel | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb | cb )

Set the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_notify_received()

void linphone_core_cbs_set_notify_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNotifyReceivedCb | cb )

Set the LinphoneCoreCbsNotifyReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_notify_sent()

void linphone_core_cbs_set_notify_sent | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsNotifySentCb | cb )

Set the LinphoneCoreCbsNotifySentCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_preview_display_error_occurred()

void linphone_core_cbs_set_preview_display_error_occurred | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsPreviewDisplayErrorOccurredCb | cb )

Set the rendering not working callback for preview.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_publish_received()

void linphone_core_cbs_set_publish_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsPublishReceivedCb | cb )

Set the LinphoneCoreCbsPublishReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_publish_state_changed()

void linphone_core_cbs_set_publish_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsPublishStateChangedCb | cb )

Set the LinphoneCoreCbsPublishStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_push_notification_received()

void linphone_core_cbs_set_push_notification_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsPushNotificationReceivedCb | cb )

Set the push notification received callback.

Parameters

  cbs | LinphoneCoreCbs object.
  cb | The push notification received callback to be used.

## ◆ linphone_core_cbs_set_qrcode_found()

void linphone_core_cbs_set_qrcode_found | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsQrcodeFoundCb | cb )

Set the qrcode found callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_set_reaction_removed()

void linphone_core_cbs_set_reaction_removed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsReactionRemovedCb | cb )

Set the LinphoneCoreCbsReactionRemovedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_refer_received()

void linphone_core_cbs_set_refer_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsReferReceivedCb | cb )

Set the LinphoneCoreCbsReferReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_registration_state_changed()

void linphone_core_cbs_set_registration_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsRegistrationStateChangedCb | cb )

Set the LinphoneCoreCbsRegistrationStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

Deprecated
  30/09/2020. see linphone_account_cbs_set_registration_state_changed()

## ◆ linphone_core_cbs_set_subscribe_received()

void linphone_core_cbs_set_subscribe_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsSubscribeReceivedCb | cb )

Set the LinphoneCoreCbsSubscribeReceivedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_subscription_state_changed()

void linphone_core_cbs_set_subscription_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsSubscriptionStateChangedCb | cb )

Set the LinphoneCoreCbsSubscriptionStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_transfer_state_changed()

void linphone_core_cbs_set_transfer_state_changed | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsTransferStateChangedCb | cb )

Set the LinphoneCoreCbsTransferStateChangedCb callback.

Parameters

  cbs | A LinphoneCoreCbs.
  cb | The callback.

## ◆ linphone_core_cbs_set_user_data()

void linphone_core_cbs_set_user_data | ( | LinphoneCoreCbs * | cbs,
|  | void * | user_data )

Set private data to be get from each callbacks.

Parameters

  cbs | the LinphoneCoreCbs object
  user_data | the user data pointer.

## ◆ linphone_core_cbs_set_version_update_check_result_received()

void linphone_core_cbs_set_version_update_check_result_received | ( | LinphoneCoreCbs * | cbs,
|  | LinphoneCoreCbsVersionUpdateCheckResultReceivedCb | cb )

Set the version update check result callback.

Parameters

  cbs | LinphoneCoreCbs object
  cb | The callback to use

## ◆ linphone_core_cbs_unref()

void linphone_core_cbs_unref | ( | LinphoneCoreCbs * | cbs | ) |

Decrement the reference counter.

Parameters

  cbs | the LinphoneCoreCbs object

## ◆ linphone_core_clear_provisioning_headers()

void linphone_core_clear_provisioning_headers | ( | LinphoneCore * | core | ) |

Clear all headers that were added with linphone_core_add_provisioning_header().

Parameters

  core | the LinphoneCore object

## ◆ linphone_core_compress_log_collection()

char * linphone_core_compress_log_collection | ( | void |  | ) |

Compress the log collection in a single file.

Returns
  The path of the compressed log collection file (to be freed calling ms_free()).

## ◆ linphone_core_conference_ics_in_message_body_enabled()

bool_t linphone_core_conference_ics_in_message_body_enabled | ( | const LinphoneCore * | core | ) |

Gets wether conference invitations will be sent in the chat message body or as a file attachment.

Parameters

  core | the LinphoneCore

Returns
  TRUE if ICS will be sent in the message body (by default), FALSE if it will be sent as a file attachment.

## ◆ linphone_core_destroy()

MS2_DEPRECATED void linphone_core_destroy | ( | LinphoneCore * | core | ) |

Destroys a LinphoneCore.

Parameters

  core | LinphoneCore object

Deprecated
  12/01/2017 Use linphone_core_unref() instead.

## ◆ linphone_core_enable_conference_ics_in_message_body()

void linphone_core_enable_conference_ics_in_message_body | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable sending conference invitations in the chat message body instead of as a file attachment.

Parameters

  core | the LinphoneCore
  enable | TRUE to send ICS as message body, FALSE to send it as file transfer

## ◆ linphone_core_enable_log_collection()

void linphone_core_enable_log_collection | ( | LinphoneLogCollectionState | state | ) |

Enable the linphone core log collection to upload logs on a server.

Parameters

  state | LinphoneLogCollectionState value telling whether to enable log collection or not.

## ◆ linphone_core_enable_zrtp_go_clear()

void linphone_core_enable_zrtp_go_clear | ( | LinphoneCore * | core,
|  | bool_t | enabled )

Define whether ZRTP go clear is enabled.

Parameters

  core | LinphoneCore object.
  enabled | TRUE to enable ZRTP go clear; FALSE otherwise.

## ◆ linphone_core_get_call_logs_database_path()

MS2_DEPRECATED const char * linphone_core_get_call_logs_database_path | ( | LinphoneCore * | core | ) |

Gets the database filename where call logs will be stored.

Parameters

  core | the linphone core

Returns
  filesystem path.

Deprecated
  07/12/2021: Use only for migration purposes

## ◆ linphone_core_get_current_callbacks()

LinphoneCoreCbs * linphone_core_get_current_callbacks | ( | const LinphoneCore * | core | ) |

Gets the current LinphoneCoreCbs.

This is meant only to be called from a callback to be able to get the user_data associated with the LinphoneCoreCbs that is calling the callback.

Parameters

  core | the LinphoneCore

Returns
  the LinphoneCoreCbs that has called the last callback

## ◆ linphone_core_get_current_vtable()

LinphoneCoreVTable * linphone_core_get_current_vtable | ( | LinphoneCore * | core | ) |

Gets the current VTable.

This is meant only to be called from a callback to be able to get the user_data associated with the vtable that called the callback.

Parameters

  core | the linphonecore

Returns
  the vtable that called the last callback

## ◆ linphone_core_get_friends_database_path()

const char * linphone_core_get_friends_database_path | ( | LinphoneCore * | core | ) |

Gets the database filename where friends will be stored.

Parameters

  core | the linphone core

Returns
  filesystem path.

## ◆ linphone_core_get_label()

const char * linphone_core_get_label | ( | const LinphoneCore * | core | ) |

Get the label assigned to the LinphoneCore.

The default value is NULL (no label).

Parameters

  core | the LinphoneCore

Returns
  the assigned label.

## ◆ linphone_core_get_linphone_specs()

MS2_DEPRECATED const char * linphone_core_get_linphone_specs | ( | const LinphoneCore * | core | ) |

Get the linphone specs value telling what functionalities the linphone client supports.

Parameters

  core | LinphoneCore object

Returns
  The linphone specs telling what functionalities the linphone client supports

Deprecated
  07/02/2019 Use linphone_core_get_linphone_specs_list instead.

## ◆ linphone_core_get_linphone_specs_list()

bctbx_list_t * linphone_core_get_linphone_specs_list | ( | LinphoneCore * | core | ) |

Get the list of linphone specs string values representing what functionalities the linphone client supports.

Parameters

  core | LinphoneCore object

Returns
  A list of supported specs. The list must be freed with bctbx_list_free() after usage.

## ◆ linphone_core_get_log_collection_max_file_size()

size_t linphone_core_get_log_collection_max_file_size | ( | void |  | ) |

Get the max file size in bytes of the files used for log collection.

Returns
  The max file size in bytes of the files used for log collection.

## ◆ linphone_core_get_log_collection_path()

const char * linphone_core_get_log_collection_path | ( | void |  | ) |

Get the path where the log files will be written for log collection.

Returns
  The path where the log files will be written.

## ◆ linphone_core_get_log_collection_prefix()

const char * linphone_core_get_log_collection_prefix | ( | void |  | ) |

Get the prefix of the filenames that will be used for log collection.

Returns
  The prefix of the filenames used for log collection.

## ◆ linphone_core_get_log_collection_upload_server_url()

const char * linphone_core_get_log_collection_upload_server_url | ( | LinphoneCore * | core | ) |

Gets the url of the server where to upload the collected log files.

Parameters

  core | LinphoneCore object

Returns
  The url of the server where to upload the collected log files.

## ◆ linphone_core_get_max_calls()

int linphone_core_get_max_calls | ( | LinphoneCore * | core | ) |

Get the maximum number of simultaneous calls Linphone core can manage at a time.

All new call above this limit are declined with a busy answer

Parameters

  core | core

Returns
  max number of simultaneous calls

## ◆ linphone_core_get_provisioning_uri()

const char * linphone_core_get_provisioning_uri | ( | const LinphoneCore * | core | ) |

Get provisioning URI.

Parameters

  core | the LinphoneCore object

Returns
  the provisioning URI.

## ◆ linphone_core_get_root_ca()

const char * linphone_core_get_root_ca | ( | LinphoneCore * | core | ) |

Gets the path to a file or folder containing the trusted root CAs (PEM format)

Parameters

  core | LinphoneCore object

Returns
  The path to a file or folder containing the trusted root CAs.

## ◆ linphone_core_get_srtp_crypto_suites()

const char * linphone_core_get_srtp_crypto_suites | ( | LinphoneCore * | core | ) |

Get the crypto suites available to the core.

Parameters

  core | core

Returns
  a comma separated list of supported suites

## ◆ linphone_core_get_user_agent()

const char * linphone_core_get_user_agent | ( | LinphoneCore * | core | ) |

Gets the user-agent as a string.

Returns
  liblinphone's user agent as a string.

## ◆ linphone_core_get_user_certificates_path()

const char * linphone_core_get_user_certificates_path | ( | LinphoneCore * | core | ) |

Get the path to the directory storing the user's certificates.

Parameters

  core | LinphoneCore object.

Returns
  The path to the directory storing the user's certificates.

## ◆ linphone_core_get_user_data()

void * linphone_core_get_user_data | ( | const LinphoneCore * | core | ) |

Retrieves the user pointer that was given to linphone_core_new()

Parameters

  core | LinphoneCore object

Returns
  The user data associated with the LinphoneCore object.

## ◆ linphone_core_get_version()

const char * linphone_core_get_version | ( | void |  | ) |

Returns liblinphone's version as a string.

Returns
  the current version of the LinphoneCore

## ◆ linphone_core_get_zrtp_cache_db()

MS2_DEPRECATED void * linphone_core_get_zrtp_cache_db | ( | LinphoneCore * | core | ) |

Get a pointer to the sqlite db holding zrtp/lime cache.

Parameters

  core | LinphoneCore object.

Returns
  An sqlite3 pointer cast to a void one or NULL if cache is not available(not enabled at compile or access failed)

## ◆ linphone_core_get_zrtp_secrets_file()

const char * linphone_core_get_zrtp_secrets_file | ( | LinphoneCore * | core | ) |

Get the path to the file storing the zrtp secrets cache.

Parameters

  core | LinphoneCore object.

Returns
  The path to the file storing the zrtp secrets cache.

## ◆ linphone_core_is_in_background()

bool_t linphone_core_is_in_background | ( | const LinphoneCore * | core | ) |

Gets whether the Core is considering itself in background or not.

The Core foreground/background state depends on the last call made to linphone_core_enter_background() or linphone_core_enter_foreground().

Parameters

  core | the LinphoneCore

Returns
  TRUE if the Core is in background, FALSE otherwise.

## ◆ linphone_core_is_verify_server_certificates()

bool_t linphone_core_is_verify_server_certificates | ( | LinphoneCore * | core | ) |

Get whether the tls server certificate must be verified when connecting to a SIP/TLS server.

Parameters

  core | LinphoneCore object

Returns
  True if the tls server certificate must be verified

## ◆ linphone_core_is_verify_server_cn()

bool_t linphone_core_is_verify_server_cn | ( | LinphoneCore * | core | ) |

Get whether the tls server certificate common name must be verified when connecting to a SIP/TLS server.

Parameters

  core | LinphoneCore object

Returns
  True if the tls server certificate common name must be verified

## ◆ linphone_core_iterate()

void linphone_core_iterate | ( | LinphoneCore * | core | ) |

Main loop function.

It is crucial that your application call it periodically.

linphone_core_iterate() performs various backgrounds tasks:

- receiving of SIP messages
- handles timers and timeout
- performs registration to proxies
- authentication retries The application MUST call this function periodically, in its main loop. Be careful that this function must be called from the same thread as other liblinphone methods. If it is not the case make sure all liblinphone calls are serialized with a mutex. For ICE to work properly it should be called every 20ms.
  Parameters

    core | LinphoneCore object

## ◆ linphone_core_log_collection_enabled()

LinphoneLogCollectionState linphone_core_log_collection_enabled | ( | void |  | ) |

Tells whether the linphone core log collection is enabled.

Returns
  The LinphoneLogCollectionState of the LinphoneCore log collection.

## ◆ linphone_core_media_encryption_supported()

bool_t linphone_core_media_encryption_supported | ( | LinphoneCore * | core,
|  | LinphoneMediaEncryption | menc )

Check if a media encryption type is supported.

Parameters

  core | core
  menc | LinphoneMediaEncryption

Returns
  whether a media encryption scheme is supported by the LinphoneCore engine

## ◆ linphone_core_migrate_logs_from_rc_to_db()

void linphone_core_migrate_logs_from_rc_to_db | ( | LinphoneCore * | core | ) |

Migrates the call logs from the linphonerc to the database if not done yet.

Parameters

  core | the linphone core

## ◆ linphone_core_migrate_to_multi_transport()

LinphoneStatus linphone_core_migrate_to_multi_transport | ( | LinphoneCore * | core | ) |

Migrate configuration so that all SIP transports are enabled.

Versions of linphone < 3.7 did not support using multiple SIP transport simultaneously. This function helps application to migrate the configuration so that all transports are enabled. Existing proxy configuration are added a transport parameter so that they continue using the unique transport that was set previously. This function must be used just after creating the core, before any call to linphone_core_iterate()

Parameters

  core | the LinphoneCore object

Returns
  1 if migration was done, 0 if not done because unnecessary or already done, -1 in case of error.

## ◆ linphone_core_new()

MS2_DEPRECATED LinphoneCore * linphone_core_new | ( | const LinphoneCoreVTable * | vtable,
|  | const char * | config_path,
|  | const char * | factory_config_path,
|  | void * | userdata )

Instanciates a LinphoneCore object.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.

Parameters

  vtable | a LinphoneCoreVTable structure holding your application callbacks
  config_path | a path to a config file. If it does not exists it will be created. The config file is used to store all settings, call logs, friends, proxies... so that all these settings become persistent over the life of the LinphoneCore object. It is allowed to set a NULL config file. In that case LinphoneCore will not store any settings.
  factory_config_path | a path to a read-only config file that can be used to to store hard-coded preference such as proxy settings or internal preferences. The settings in this factory file always override the one in the normal config file. It is OPTIONAL, use NULL if unneeded.
  userdata | an opaque user pointer that can be retrieved at any time (for example in callbacks) using linphone_core_get_user_data().

See also
  linphone_core_new_with_config()

Deprecated
  12/01/2017 Use linphone_factory_create_core() instead.

## ◆ linphone_core_new_with_config()

MS2_DEPRECATED LinphoneCore * linphone_core_new_with_config | ( | const LinphoneCoreVTable * | vtable,
|  | LinphoneConfig * | config,
|  | void * | userdata )

Instantiates a LinphoneCore object with a given LpConfig.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.

Parameters

  vtable | a LinphoneCoreVTable structure holding your application callbacks
  config | a pointer to an LpConfig object holding the configuration of the LinphoneCore to be instantiated.
  userdata | an opaque user pointer that can be retrieved at any time (for example in callbacks) using linphone_core_get_user_data().

See also
  linphone_core_new()

Deprecated
  12/01/2017 Use linphone_factory_create_core_with_config() instead.

## ◆ linphone_core_ref()

LinphoneCore * linphone_core_ref | ( | LinphoneCore * | core | ) |

Increment the reference counter of a LinphoneCore object.

Parameters

  core | The LinphoneCore which the ref counter is to be incremented.

Returns
  A pointer on the LinphoneCore passed as parameter.

## ◆ linphone_core_reload_ms_plugins()

void linphone_core_reload_ms_plugins | ( | LinphoneCore * | core,
|  | const char * | path )

Reload mediastreamer2 plugins from specified directory.

Parameters

  core | LinphoneCore object.
  path | the path from where plugins are to be loaded, pass NULL to use default (compile-time determined) plugin directory.

## ◆ linphone_core_remove_callbacks()

void linphone_core_remove_callbacks | ( | LinphoneCore * | core,
|  | const LinphoneCoreCbs * | cbs )

Remove a listener from a LinphoneCore.

Parameters

  core | The LinphoneCore
  cbs | The pointer on the LinphoneCoreCbs to remove.

## ◆ linphone_core_remove_linphone_spec()

void linphone_core_remove_linphone_spec | ( | LinphoneCore * | core,
|  | const char * | spec )

Remove the given linphone specs from the list of functionalities the linphone client supports.

Parameters

  core | LinphoneCore object
  spec | The spec to remove

## ◆ linphone_core_remove_listener()

MS2_DEPRECATED void linphone_core_remove_listener | ( | LinphoneCore * | core,
|  | const LinphoneCoreVTable * | vtable )

remove a listener registred by linphone_core_add_listener.

Parameters

  core | object
  vtable | a LinphoneCoreVTable structure holding your application callbacks.

Deprecated
  12/01/2017 Use linphone_core_remove_callbacks() instead.

## ◆ linphone_core_remove_supported_tag()

void linphone_core_remove_supported_tag | ( | LinphoneCore * | core,
|  | const char * | tag )

Remove a supported tag.

Parameters

  core | LinphoneCore object
  tag | The tag to remove

See also
  linphone_core_add_supported_tag()

## ◆ linphone_core_serialize_logs()

void linphone_core_serialize_logs | ( | void |  | ) |

Enable logs serialization (output logs from either the thread that creates the linphone core or the thread that calls linphone_core_iterate()).

Must be called before creating the linphone core.

## ◆ linphone_core_set_call_logs_database_path()

MS2_DEPRECATED void linphone_core_set_call_logs_database_path | ( | LinphoneCore * | core,
|  | const char * | path )

Sets the database filename where call logs will be stored.

If the file does not exist, it will be created.

Parameters

  core | the linphone core
  path | filesystem path

Deprecated
  07/12/2021: Use only for migration purposes

## ◆ linphone_core_set_friends_database_path()

void linphone_core_set_friends_database_path | ( | LinphoneCore * | core,
|  | const char * | path )

Sets the database filename where friends will be stored.

If the file does not exist, it will be created.

Parameters

  core | the linphone core
  path | filesystem path.

## ◆ linphone_core_set_label()

void linphone_core_set_label | ( | LinphoneCore * | core,
|  | const char * | label )

Set a label - for logging/troubleshooting purpose - to the core object.

This label is used by the logger to give context. When running an application with several LinphoneCore objects, (such as a test), it is useful to enhance the log's readability'.

Parameters

  core | the LinphoneCore
  label | a developper-friendly label.

## ◆ linphone_core_set_linphone_specs()

MS2_DEPRECATED void linphone_core_set_linphone_specs | ( | LinphoneCore * | core,
|  | const char * | specs )

Set the linphone specs value telling what functionalities the linphone client supports.

Parameters

  core | LinphoneCore object
  specs | The linphone specs to set

Deprecated
  07/02/2019 Use linphone_core_set_linphone_specs_list or linphone_core_add_linphone_spec instead.

## ◆ linphone_core_set_linphone_specs_list()

void linphone_core_set_linphone_specs_list | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | specs )

Set the linphone specs list value telling what functionalities the linphone client supports.

Parameters

  core | LinphoneCore object
  specs | The list of string specs to set.

## ◆ linphone_core_set_log_collection_max_file_size()

void linphone_core_set_log_collection_max_file_size | ( | size_t | size | ) |

Set the max file size in bytes of the files used for log collection.

Warning: this function should only not be used to change size dynamically but instead only before calling linphone_core_enable_log_collection(). If you increase max size on runtime, logs chronological order COULD be broken.

Parameters

  size | The max file size in bytes of the files used for log collection.

## ◆ linphone_core_set_log_collection_path()

void linphone_core_set_log_collection_path | ( | const char * | path | ) |

Set the path of a directory where the log files will be written for log collection.

When log collection is enabled, the function will close the file with the current prefix in the old path and it will open the new file with current prefix in the new path. If you need to change the path and the file at the same time, then you should deactivate log collection with linphone_core_enable_log_collection() before doing modifications.

Parameters

  path | The path where the log files will be written.

## ◆ linphone_core_set_log_collection_prefix()

void linphone_core_set_log_collection_prefix | ( | const char * | prefix | ) |

Set the prefix of the filenames that will be used for log collection.

When log collection is enabled, the function will close the old file and it will open the new one in the current path. If you need to change the path and the file at the same time, then you should deactivate log collection with linphone_core_enable_log_collection() before doing modifications.

Parameters

  prefix | The prefix to use for the filenames for log collection.

## ◆ linphone_core_set_log_collection_upload_server_url()

void linphone_core_set_log_collection_upload_server_url | ( | LinphoneCore * | core,
|  | const char * | server_url )

Set the url of the server where to upload the collected log files.

Parameters

  core | LinphoneCore object
  server_url | The url of the server where to upload the collected log files.

## ◆ linphone_core_set_max_calls()

void linphone_core_set_max_calls | ( | LinphoneCore * | core,
|  | int | max )

Set the maximum number of simultaneous calls Linphone core can manage at a time.

All new call above this limit are declined with a busy answer

Parameters

  core | core
  max | number of simultaneous calls

## ◆ linphone_core_set_provisioning_uri()

LinphoneStatus linphone_core_set_provisioning_uri | ( | LinphoneCore * | core,
|  | const char * | uri )

Set URI where to download xml configuration file at startup.

This can also be set from configuration file or factory config file, from [misc] section, item "config-uri". Calling this function does not load the configuration. It will write the value into configuration so that configuration from remote URI will take place at next LinphoneCore start.

Parameters

  core | the LinphoneCore object
  uri | the http or https uri to use in order to download the configuration. Passing NULL will disable remote provisioning.

Returns
  -1 if uri could not be parsed, 0 otherwise. Note that this does not check validity of URI endpoint nor scheme and download may still fail.

## ◆ linphone_core_set_root_ca()

void linphone_core_set_root_ca | ( | LinphoneCore * | core,
|  | const char * | path )

Sets the path to a file or folder containing trusted root CAs (PEM format)

Parameters

  core | LinphoneCore object
  path | The path to a file or folder containing trusted root CAs.

## ◆ linphone_core_set_root_ca_data()

void linphone_core_set_root_ca_data | ( | LinphoneCore * | core,
|  | const char * | data )

Sets the trusted root CAs (PEM format)

Parameters

  core | LinphoneCore object
  data | The trusted root CAs as a string

## ◆ linphone_core_set_srtp_crypto_suites()

void linphone_core_set_srtp_crypto_suites | ( | LinphoneCore * | core,
|  | const char * | suites )

Set the crypto suites available to the core.

Parameters

  core | core
  suites | comma separated list of supported suites

## ◆ linphone_core_set_ssl_config()

void linphone_core_set_ssl_config | ( | LinphoneCore * | core,
|  | void * | ssl_config )

Set the pointer to an externally provided ssl configuration for the crypto library

Parameters

  core | LinphoneCore object
  ssl_config | A pointer to an opaque structure which will be provided directly to the crypto library used in bctoolbox. Use with extra care. This ssl_config structure is responsibility of the caller and will not be freed at the connection's end.

## ◆ linphone_core_set_supported_tag()

void linphone_core_set_supported_tag | ( | LinphoneCore * | core,
|  | const char * | tags )

Set the supported tags.

Parameters

  core | LinphoneCore object
  tags | The feature tags to set

## ◆ linphone_core_set_user_certificates_path()

void linphone_core_set_user_certificates_path | ( | LinphoneCore * | core,
|  | const char * | path )

Set the path to the directory storing the user's x509 certificates (used by dtls)

Parameters

  core | LinphoneCore object
  path | The path to the directory to use to store the user's certificates.

## ◆ linphone_core_set_user_data()

void linphone_core_set_user_data | ( | LinphoneCore * | core,
|  | void * | user_data )

Associate a user pointer to the linphone core.

Parameters

  core | LinphoneCore object
  user_data | The user data to associate with the LinphoneCore object.

## ◆ linphone_core_set_zrtp_secrets_file()

void linphone_core_set_zrtp_secrets_file | ( | LinphoneCore * | core,
|  | const char * | file )

Set the path to the file storing the zrtp secrets cache.

Parameters

  core | LinphoneCore object
  file | The path to the file to use to store the zrtp secrets cache.

## ◆ linphone_core_start()

LinphoneStatus linphone_core_start | ( | LinphoneCore * | core | ) |

Start a LinphoneCore object after it has been instantiated and not automatically started.

Also re-initialize a LinphoneCore object that has been stopped using linphone_core_stop(). Must be called only if LinphoneGlobalState is either Ready of Off. State will changed to Startup, Configuring and then On.

Parameters

  core | The LinphoneCore object to be started

Returns
  0: success, -1: global failure, -2: could not connect database

## ◆ linphone_core_stop()

void linphone_core_stop | ( | LinphoneCore * | core | ) |

Stop a LinphoneCore object after it has been instantiated and started.

If stopped, it can be started again using linphone_core_start(). Must be called only if LinphoneGlobalState is either On. State will changed to Shutdown and then Off.

Parameters

  core | The LinphoneCore object to be stopped

## ◆ linphone_core_stop_async()

void linphone_core_stop_async | ( | LinphoneCore * | core | ) |

Stop asynchronously a LinphoneCore object after it has been instantiated and started.

State changes to Shutdown then linphone_core_iterate() must be called to allow the Core to end asynchronous tasks (terminate call, etc.). When all tasks are finished, State will change to Off. Must be called only if LinphoneGlobalState is On. When LinphoneGlobalState is Off LinphoneCore can be started again using linphone_core_start().

Parameters

  core | The LinphoneCore object to be stopped

## ◆ linphone_core_unref()

void linphone_core_unref | ( | LinphoneCore * | core | ) |

Decrement the ref counter of a LinphoneCore object and destroy it if the counter reach 0.

Parameters

  core | The LinphoneCore which the reference counter is to be decreased.

## ◆ linphone_core_upload_log_collection()

void linphone_core_upload_log_collection | ( | LinphoneCore * | core | ) |

Upload the log collection to the configured server url.

Parameters

  core | LinphoneCore object

## ◆ linphone_core_v_table_destroy()

void linphone_core_v_table_destroy | ( | LinphoneCoreVTable * | table | ) |

Destroy a vtable.

Parameters

  table | to be destroyed.

## ◆ linphone_core_v_table_get_user_data()

void * linphone_core_v_table_get_user_data | ( | const LinphoneCoreVTable * | table | ) |

Gets a user data pointer in the vtable.

Parameters

  table | the vtable.

Returns
  the data attached to the vtable.

## ◆ linphone_core_v_table_new()

LinphoneCoreVTable * linphone_core_v_table_new | ( | void |  | ) |

Instantiate a vtable with all arguments set to NULL.

Returns
  newly allocated vtable.

## ◆ linphone_core_v_table_set_user_data()

void linphone_core_v_table_set_user_data | ( | LinphoneCoreVTable * | table,
|  | void * | data )

Sets a user data pointer in the vtable.

Parameters

  table | the vtable.
  data | the user data to attach.

## ◆ linphone_core_verify_server_certificates()

void linphone_core_verify_server_certificates | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Specify whether the tls server certificate must be verified when connecting to a SIP/TLS server.

Parameters

  core | LinphoneCore object
  yesno | A boolean value telling whether the tls server certificate must be verified

## ◆ linphone_core_verify_server_cn()

void linphone_core_verify_server_cn | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Specify whether the tls server certificate common name must be verified when connecting to a SIP/TLS server.

Parameters

  core | LinphoneCore object
  yesno | A boolean value telling whether the tls server certificate common name must be verified

## ◆ linphone_core_zrtp_go_clear_enabled()

bool_t linphone_core_zrtp_go_clear_enabled | ( | const LinphoneCore * | core | ) |

Check if the ZRTP go clear is enabled or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if ZTRP go clear is enabled; FALSE otherwise.

## ◆ linphone_factory_clean()

void linphone_factory_clean | ( | void |  | ) |

Clean the factory.

This function is generally useless as the factory is unique per process, however calling this function at the end avoid getting reports from belle-sip leak detector about memory leaked in linphone_factory_get().

## ◆ linphone_factory_compute_ha1_for_algorithm()

char * linphone_factory_compute_ha1_for_algorithm | ( | const LinphoneFactory * | factory,
|  | const char * | userid,
|  | const char * | password,
|  | const char * | realm,
|  | const char * | algorithm )

Computes the hashed version of the password given the user ID and the realm, using given algorithm.

Parameters

  factory | The LinphoneFactory singleton.
  userid | the username or user ID to use.
  password | the password to hash.
  realm | the real to use.
  algorithm | the algorithm to use (MD5 or SHA-256).

Returns
  the generated hash if it succeeded, NULL otherwise.

## ◆ linphone_factory_create_account_cbs()

LinphoneAccountCbs * linphone_factory_create_account_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneAccountCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneAccountCbs

## ◆ linphone_factory_create_account_creator_cbs()

LinphoneAccountCreatorCbs * linphone_factory_create_account_creator_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneAccountCreatorCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneAccountCreatorCbs

## ◆ linphone_factory_create_address()

LinphoneAddress * linphone_factory_create_address | ( | const LinphoneFactory * | factory,
|  | const char * | addr )

Parse a string holding a SIP URI and create the according LinphoneAddress object.

Parameters

  factory | The LinphoneFactory singleton.
  addr | A string holding the SIP URI to parse.

Returns
  A new LinphoneAddress.

## ◆ linphone_factory_create_alert_cbs()

LinphoneAlertCbs * linphone_factory_create_alert_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneAlertCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneAlertCbs

## ◆ linphone_factory_create_auth_info()

LinphoneAuthInfo * linphone_factory_create_auth_info | ( | const LinphoneFactory * | factory,
|  | const char * | username,
|  | const char * | userid,
|  | const char * | passwd,
|  | const char * | ha1,
|  | const char * | realm,
|  | const char * | domain )

Creates a LinphoneAuthInfo object.

The object can be created empty, that is with all arguments set to NULL. Username, userid, password, realm and domain can be set later using specific methods. At the end, username and passwd (or ha1) are required.

Parameters

  factory | The LinphoneFactory singleton.
  username | The username that needs to be authenticated
  userid | The userid used for authenticating (use NULL if you don't know what it is)
  passwd | The password in clear text
  ha1 | The ha1-encrypted password if password is not given in clear text.
  realm | The authentication domain (which can be larger than the sip domain. Unfortunately many SIP servers don't use this parameter.
  domain | The SIP domain for which this authentication information is valid, if it has to be restricted for a single SIP domain.

Returns
  A LinphoneAuthInfo object. linphone_auth_info_destroy() must be used to destroy it when no longer needed. The LinphoneCore makes a copy of LinphoneAuthInfo passed through linphone_core_add_auth_info().

## ◆ linphone_factory_create_auth_info_2()

LinphoneAuthInfo * linphone_factory_create_auth_info_2 | ( | const LinphoneFactory * | factory,
|  | const char * | username,
|  | const char * | userid,
|  | const char * | passwd,
|  | const char * | ha1,
|  | const char * | realm,
|  | const char * | domain,
|  | const char * | algorithm )

Creates a LinphoneAuthInfo object.

The object can be created empty, that is with all arguments set to NULL. Username, userid, password, realm and domain can be set later using specific methods. At the end, username and passwd (or ha1) are required.

Parameters

  factory | The LinphoneFactory singleton.
  username | The username that needs to be authenticated
  userid | The userid used for authenticating (use NULL if you don't know what it is)
  passwd | The password in clear text
  ha1 | The ha1-encrypted password if password is not given in clear text.
  realm | The authentication domain (which can be larger than the sip domain. Unfortunately many SIP servers don't use this parameter.
  domain | The SIP domain for which this authentication information is valid, if it has to be restricted for a single SIP domain.
  algorithm | The algorithm for encrypting password.

Returns
  A LinphoneAuthInfo object. linphone_auth_info_destroy() must be used to destroy it when no longer needed. The LinphoneCore makes a copy of LinphoneAuthInfo passed through linphone_core_add_auth_info().

## ◆ linphone_factory_create_buffer()

LinphoneBuffer * linphone_factory_create_buffer | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneBuffer.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneBuffer

## ◆ linphone_factory_create_buffer_from_data()

LinphoneBuffer * linphone_factory_create_buffer_from_data | ( | LinphoneFactory * | factory,
|  | const uint8_t * | data,
|  | size_t | size )

Creates an object LinphoneBuffer.

Parameters

  factory | the LinphoneFactory
  data | the data to set in the buffer
  size | the size of the data

Returns
  a LinphoneBuffer

## ◆ linphone_factory_create_buffer_from_string()

LinphoneBuffer * linphone_factory_create_buffer_from_string | ( | LinphoneFactory * | factory,
|  | const char * | data )

Creates an object LinphoneBuffer.

Parameters

  factory | the LinphoneFactory
  data | the data to set in the buffer

Returns
  a LinphoneBuffer

## ◆ linphone_factory_create_call_cbs()

LinphoneCallCbs * linphone_factory_create_call_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneCallCbs object that holds callbacks for events happening on a call.

Parameters

  factory | LinphoneFactory singletion object

Returns
  A new LinphoneCallCbs object

## ◆ linphone_factory_create_chat_message_cbs()

LinphoneChatMessageCbs * linphone_factory_create_chat_message_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneChatMessageCbs object that holds callbacks for events happening on a chat message.

Parameters

  factory | LinphoneFactory singletion object

Returns
  A new LinphoneChatMessageCbs object

## ◆ linphone_factory_create_chat_room_cbs()

LinphoneChatRoomCbs * linphone_factory_create_chat_room_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneChatRoomCbs object that holds callbacks for events happening on a chat room.

Parameters

  factory | LinphoneFactory singletion object

Returns
  A new LinphoneChatRoomCbs object

## ◆ linphone_factory_create_conference_cbs()

LinphoneConferenceCbs * linphone_factory_create_conference_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneConferenceCbs object that holds callbacks for events happening on a conference.

Parameters

  [in] | factory | LinphoneFactory singletion object

Returns
  A new LinphoneConferenceCbs object

## ◆ linphone_factory_create_conference_info()

LinphoneConferenceInfo * linphone_factory_create_conference_info | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneConferenceInfo.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneConferenceInfo

## ◆ linphone_factory_create_conference_info_from_icalendar_content()

LinphoneConferenceInfo * linphone_factory_create_conference_info_from_icalendar_content | ( | LinphoneFactory * | factory,
|  | LinphoneContent * | content )

Creates an object LinphoneConferenceInfo from an Icalendar LinphoneContent.

Parameters

  factory | the LinphoneFactory
  content | the Icalendar LinphoneContent

Returns
  a LinphoneConferenceInfo created from an Icalendar LinphoneContent

## ◆ linphone_factory_create_conference_scheduler_cbs()

LinphoneConferenceSchedulerCbs * linphone_factory_create_conference_scheduler_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneConferenceSchedulerCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneConferenceSchedulerCbs

## ◆ linphone_factory_create_config()

LinphoneConfig * linphone_factory_create_config | ( | LinphoneFactory * | factory,
|  | const char * | path )

Creates an object LinphoneConfig.

Parameters

  factory | the LinphoneFactory
  path | the path of the config

Returns
  a LinphoneConfig

## ◆ linphone_factory_create_config_from_string()

LinphoneConfig * linphone_factory_create_config_from_string | ( | LinphoneFactory * | factory,
|  | const char * | data )

Creates an object LinphoneConfig.

Parameters

  factory | the LinphoneFactory
  data | the config data

Returns
  a LinphoneConfig

## ◆ linphone_factory_create_config_with_factory()

LinphoneConfig * linphone_factory_create_config_with_factory | ( | LinphoneFactory * | factory,
|  | const char * | path,
|  | const char * | factory_path )

Creates an object LinphoneConfig.

Parameters

  factory | the LinphoneFactory
  path | the path of the config
  factory_path | the path of the factory

Returns
  a LinphoneConfig

## ◆ linphone_factory_create_content()

LinphoneContent * linphone_factory_create_content | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneContent.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneContent

## ◆ linphone_factory_create_content_from_file()

LinphoneContent * linphone_factory_create_content_from_file | ( | LinphoneFactory * | factory,
|  | const char * | file_path )

Creates a file object of LinphoneContent from a file path.

Parameters

  factory | the LinphoneFactory
  file_path | the path of the file

Returns
  a LinphoneContent which can be used as a file

## ◆ linphone_factory_create_core()

MS2_DEPRECATED LinphoneCore * linphone_factory_create_core | ( | const LinphoneFactory * | factory,
|  | LinphoneCoreCbs * | cbs,
|  | const char * | config_path,
|  | const char * | factory_config_path )

Instanciate a LinphoneCore object.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.

Parameters

  factory | The LinphoneFactory singleton.
  cbs | a LinphoneCoreCbs object holding your application callbacks. A reference will be taken on it until the destruciton of the core or the unregistration with linphone_core_remove_cbs().
  config_path | a path to a config file. If it does not exists it will be created. The config file is used to store all settings, call logs, friends, proxies... so that all these settings become persistent over the life of the LinphoneCore object. It is allowed to set a NULL config file. In that case LinphoneCore will not store any settings.
  factory_config_path | a path to a read-only config file that can be used to to store hard-coded preference such as proxy settings or internal preferences. The settings in this factory file always override the one in the normal config file. It is OPTIONAL, use NULL if unneeded.

See also
  linphone_core_new_with_config()

Deprecated
  2018-01-10: Use linphone_factory_create_core_3() instead

## ◆ linphone_factory_create_core_2()

MS2_DEPRECATED LinphoneCore * linphone_factory_create_core_2 | ( | const LinphoneFactory * | factory,
|  | LinphoneCoreCbs * | cbs,
|  | const char * | config_path,
|  | const char * | factory_config_path,
|  | void * | user_data,
|  | void * | system_context )

Instanciate a LinphoneCore object.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.

Parameters

  factory | The LinphoneFactory singleton.
  cbs | a LinphoneCoreCbs object holding your application callbacks. A reference will be taken on it until the destruciton of the core or the unregistration with linphone_core_remove_cbs().
  config_path | a path to a config file. If it does not exists it will be created. The config file is used to store all settings, call logs, friends, proxies... so that all these settings become persistent over the life of the LinphoneCore object. It is allowed to set a NULL config file. In that case LinphoneCore will not store any settings.
  factory_config_path | a path to a read-only config file that can be used to to store hard-coded preference such as proxy settings or internal preferences. The settings in this factory file always override the one in the normal config file. It is OPTIONAL, use NULL if unneeded.
  user_data | an application pointer associated with the returned core.
  system_context | a pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.

See also
  linphone_core_new_with_config()

Deprecated
  2018-01-10: Use linphone_factory_create_core_3() instead

## ◆ linphone_factory_create_core_3()

LinphoneCore * linphone_factory_create_core_3 | ( | const LinphoneFactory * | factory,
|  | const char * | config_path,
|  | const char * | factory_config_path,
|  | void * | system_context )

Instantiate a LinphoneCore object.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application. The LinphoneCore object is not started automatically, you need to call linphone_core_start() to that effect. The returned LinphoneCore will be in LinphoneGlobalState Ready. Core ressources can be released using linphone_core_stop() which is strongly encouraged on garbage collected languages.

Parameters

  factory | The LinphoneFactory singleton.
  config_path | A path to a config file. If it does not exists it will be created. The config file is used to store all settings, proxies... so that all these settings become persistent over the life of the LinphoneCore object. It is allowed to set a NULL config file. In that case LinphoneCore will not store any settings.
  factory_config_path | A path to a read-only config file that can be used to store hard-coded preferences such as proxy settings or internal preferences. The settings in this factory file always override the ones in the normal config file. It is optional, use NULL if unneeded.
  system_context | A pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.

Returns
  a LinphoneCore object

See also
  linphone_core_new_with_config_3()

## ◆ linphone_factory_create_core_cbs()

LinphoneCoreCbs * linphone_factory_create_core_cbs | ( | const LinphoneFactory * | factory | ) |

Instanciate a LinphoneCoreCbs object.

Parameters

  factory | The LinphoneFactory singleton.

Returns
  a new LinphoneCoreCbs.

## ◆ linphone_factory_create_core_with_config()

MS2_DEPRECATED LinphoneCore * linphone_factory_create_core_with_config | ( | const LinphoneFactory * | factory,
|  | LinphoneCoreCbs * | cbs,
|  | LinphoneConfig * | config )

Instantiates a LinphoneCore object with a given LpConfig.

Parameters

  factory | The LinphoneFactory singleton. The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.
  cbs | a LinphoneCoreCbs object holding your application callbacks. A reference will be taken on it until the destruciton of the core or the unregistration with linphone_core_remove_cbs().
  config | a pointer to an LpConfig object holding the configuration of the LinphoneCore to be instantiated.

See also
  linphone_core_new()

Deprecated
  2018-01-10: Use linphone_factory_create_core_with_config_3() instead

## ◆ linphone_factory_create_core_with_config_2()

MS2_DEPRECATED LinphoneCore * linphone_factory_create_core_with_config_2 | ( | const LinphoneFactory * | factory,
|  | LinphoneCoreCbs * | cbs,
|  | LinphoneConfig * | config,
|  | void * | user_data,
|  | void * | system_context )

Instantiates a LinphoneCore object with a given LpConfig.

Parameters

  factory | The LinphoneFactory singleton. The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application.
  cbs | a LinphoneCoreCbs object holding your application callbacks. A reference will be taken on it until the destruciton of the core or the unregistration with linphone_core_remove_cbs().
  config | a pointer to an LpConfig object holding the configuration of the LinphoneCore to be instantiated.
  user_data | an application pointer associated with the returned core.
  system_context | a pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.

See also
  linphone_core_new()

Deprecated
  2018-01-10: Use linphone_factory_create_core_with_config_3() instead

## ◆ linphone_factory_create_core_with_config_3()

LinphoneCore * linphone_factory_create_core_with_config_3 | ( | const LinphoneFactory * | factory,
|  | LinphoneConfig * | config,
|  | void * | system_context )

Instantiate a LinphoneCore object with a given LinphoneConfig.

The LinphoneCore object is the primary handle for doing all phone actions. It should be unique within your application. The LinphoneCore object is not started automatically, you need to call linphone_core_start() to that effect. The returned LinphoneCore will be in LinphoneGlobalState Ready. Core ressources can be released using linphone_core_stop() which is strongly encouraged on garbage collected languages.

Parameters

  factory | The LinphoneFactory singleton.
  config | A LinphoneConfig object holding the configuration for the LinphoneCore to be instantiated.
  system_context | A pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.

Returns
  a LinphoneCore object

See also
  linphone_factory_create_core_3()

## ◆ linphone_factory_create_digest_authentication_policy()

LinphoneDigestAuthenticationPolicy * linphone_factory_create_digest_authentication_policy | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneDigestAuthenticationPolicy object.

The LinphoneDigestAuthenticationPolicy object which is used to configure a policy for digest authentication, such as allowing MD5 or mode without qop=auth.

Parameters

  factory | The LinphoneFactory

Returns
  a new LinphoneDigestAuthenticationPolicy .

## ◆ linphone_factory_create_error_info()

LinphoneErrorInfo * linphone_factory_create_error_info | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneErrorInfo.

Parameters

  factory | LinphoneFactory object

Returns
  a LinphoneErrorInfo object.

## ◆ linphone_factory_create_event_cbs()

LinphoneEventCbs * linphone_factory_create_event_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneEventCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneEventCbs

## ◆ linphone_factory_create_friend_cbs()

LinphoneFriendCbs * linphone_factory_create_friend_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneFriendCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneFriendCbs

## ◆ linphone_factory_create_friend_list_cbs()

LinphoneFriendListCbs * linphone_factory_create_friend_list_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneFriendListCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneFriendListCbs

## ◆ linphone_factory_create_friend_phone_number()

LinphoneFriendPhoneNumber * linphone_factory_create_friend_phone_number | ( | const LinphoneFactory * | factory,
|  | const char * | phone_number,
|  | const char * | label )

Creates a new LinphoneFriendPhoneNumber objects.

Parameters

  factory | The LinphoneFactory
  phone_number | The phone number.
  label | the type of phone number, for example "home", "cell", etc. Use NULL or empty for no label.

Returns
  The newly created LinphoneFriendPhoneNumber object.

## ◆ linphone_factory_create_logging_service_cbs()

LinphoneLoggingServiceCbs * linphone_factory_create_logging_service_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneLoggingServiceCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneLoggingServiceCbs

## ◆ linphone_factory_create_magic_search_cbs()

LinphoneMagicSearchCbs * linphone_factory_create_magic_search_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneMagicSearchCbs object that holds callbacks for events happening on a chat message.

Parameters

  factory | LinphoneFactory singletion object

Returns
  A new LinphoneMagicSearchCbs object

## ◆ linphone_factory_create_participant_device_cbs()

LinphoneParticipantDeviceCbs * linphone_factory_create_participant_device_cbs | ( | const LinphoneFactory * | factory | ) |

Create a LinphoneParticipantDeviceCbs object that holds callbacks for events happening on a participant device.

Parameters

  [in] | factory | LinphoneFactory singletion object

Returns
  A new LinphoneParticipantDeviceCbs object

## ◆ linphone_factory_create_participant_device_identity()

LinphoneParticipantDeviceIdentity * linphone_factory_create_participant_device_identity | ( | const LinphoneFactory * | factory,
|  | const LinphoneAddress * | address,
|  | const char * | name )

Create a LinphoneParticipantDeviceIdentity object.

Parameters

  factory | The LinphoneFactory singleton.
  address | LinphoneAddress object.
  name | the name given to the device.

Returns
  A new LinphoneParticipantDeviceIdentity.

## ◆ linphone_factory_create_participant_info()

LinphoneParticipantInfo * linphone_factory_create_participant_info | ( | LinphoneFactory * | factory,
|  | LinphoneAddress * | address )

Creates an object LinphoneConferenceInfo from an Icalendar LinphoneContent.

Parameters

  factory | the LinphoneFactory
  address | the LinphoneAddress of the participant

Returns
  a LinphoneParticipantInfo

## ◆ linphone_factory_create_player_cbs()

LinphonePlayerCbs * linphone_factory_create_player_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphonePlayerCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphonePlayerCbs

## ◆ linphone_factory_create_qrcode()

LinphoneContent * linphone_factory_create_qrcode | ( | LinphoneFactory * | factory,
|  | const char * | code,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | margin )

Creates a Bitmap QRCode and return it into an object LinphoneContent.

Parameters

  factory | the LinphoneFactory
  code | The code to be generated into an image. It must not be empty.
  width | The requested width of the QRCode image. It will be 100 if 0.
  height | The requested height of the QRCode image. It will be 100 if 0.
  margin | The requested margin of the QRCode image.

Returns
  a LinphoneContent

## ◆ linphone_factory_create_range()

LinphoneRange * linphone_factory_create_range | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneRange.

Parameters

  factory | LinphoneFactory object

Returns
  a LinphoneRange object.

## ◆ linphone_factory_create_shared_core()

LinphoneCore * linphone_factory_create_shared_core | ( | const LinphoneFactory * | factory,
|  | const char * | config_filename,
|  | const char * | factory_config_path,
|  | void * | system_context,
|  | const char * | app_group_id,
|  | bool_t | main_core )

Instantiate a shared LinphoneCore object.

The shared LinphoneCore allow you to create several LinphoneCore with the same config. Two LinphoneCore can't run at the same time.

A shared LinphoneCore can be a "Main Core" or an "Executor Core". A "Main Core" automatically stops a running "Executor Core" when calling linphone_core_start() An "Executor Core" can't start unless no other LinphoneCore is started. It can be stopped by a "Main Core" and switch to LinphoneGlobalState Off at any time.

Shared Executor Core are used in iOS UNNotificationServiceExtension to receive new messages from push notifications. When the application is in background, its Shared Main Core is stopped.

The LinphoneCore object is not started automatically, you need to call linphone_core_start() to that effect. The returned LinphoneCore will be in LinphoneGlobalState Ready. Core ressources can be released using linphone_core_stop() which is strongly encouraged on garbage collected languages.

Parameters

  factory | The LinphoneFactory singleton.
  config_filename | The name of the config file. If it does not exists it will be created. Its path is computed using the app_group_id. The config file is used to store all settings, proxies... so that all these settings become persistent over the life of the LinphoneCore object. It is allowed to set a NULL config file. In that case LinphoneCore will not store any settings.
  factory_config_path | A path to a read-only config file that can be used to store hard-coded preferences such as proxy settings or internal preferences. The settings in this factory file always override the ones in the normal config file. It is optional, use NULL if unneeded.
  system_context | A pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.
  app_group_id | Name of iOS App Group that lead to the file system that is shared between an app and its app extensions.
  main_core | Indicate if we want to create a "Main Core" or an "Executor Core".

Returns
  a LinphoneCore object

See also
  linphone_factory_create_shared_core_with_config()

## ◆ linphone_factory_create_shared_core_with_config()

LinphoneCore * linphone_factory_create_shared_core_with_config | ( | const LinphoneFactory * | factory,
|  | LinphoneConfig * | config,
|  | void * | system_context,
|  | const char * | app_group_id,
|  | bool_t | main_core )

Instantiate a shared LinphoneCore object.

The shared LinphoneCore allow you to create several LinphoneCore with the same config. Two LinphoneCore can't run at the same time.

A shared LinphoneCore can be a "Main Core" or an "Executor Core". A "Main Core" automatically stops a running "Executor Core" when calling linphone_core_start() An "Executor Core" can't start unless no other LinphoneCore is started. It can be stopped by a "Main Core" and switch to LinphoneGlobalState Off at any time.

Shared Executor Core are used in iOS UNNotificationServiceExtension to receive new messages from push notifications. When the application is in background, its Shared Main Core is stopped.

The LinphoneCore object is not started automatically, you need to call linphone_core_start() to that effect. The returned LinphoneCore will be in LinphoneGlobalState Ready. Core ressources can be released using linphone_core_stop() which is strongly encouraged on garbage collected languages.

Parameters

  factory | The LinphoneFactory singleton.
  config | A LinphoneConfig object holding the configuration for the LinphoneCore to be instantiated.
  system_context | A pointer to a system object required by the core to operate. Currently it is required to pass an android Context on android, pass NULL on other platforms.
  app_group_id | Name of iOS App Group that lead to the file system that is shared between an app and its app extensions.
  main_core | Indicate if we want to create a "Main Core" or an "Executor Core".

Returns
  a LinphoneCore object

See also
  linphone_factory_create_shared_core()

## ◆ linphone_factory_create_signal_information()

LinphoneSignalInformation * linphone_factory_create_signal_information | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneSignalInformation.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneSignalInformation

## ◆ linphone_factory_create_transports()

LinphoneTransports * linphone_factory_create_transports | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneTransports.

Parameters

  factory | LinphoneFactory object

Returns
  a LinphoneTransports object.

## ◆ linphone_factory_create_tunnel_config()

LinphoneTunnelConfig * linphone_factory_create_tunnel_config | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneTunnelConfig.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneTunnelConfig

## ◆ linphone_factory_create_vcard()

LinphoneVcard * linphone_factory_create_vcard | ( | LinphoneFactory * | factory | ) |

Create an empty LinphoneVcard.

Parameters

  factory | LinphoneFactory singletion object

Returns
  a new LinphoneVcard.

## ◆ linphone_factory_create_video_activation_policy()

LinphoneVideoActivationPolicy * linphone_factory_create_video_activation_policy | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneVideoActivationPolicy.

Parameters

  factory | LinphoneFactory object

Returns
  LinphoneVideoActivationPolicy object.

## ◆ linphone_factory_create_video_definition()

LinphoneVideoDefinition * linphone_factory_create_video_definition | ( | const LinphoneFactory * | factory,
|  | unsigned int | width,
|  | unsigned int | height )

Create a LinphoneVideoDefinition from a given width and height.

Parameters

  factory | LinphoneFactory singleton object
  width | The width of the created video definition
  height | The height of the created video definition

Returns
  A new LinphoneVideoDefinition object

## ◆ linphone_factory_create_video_definition_from_name()

LinphoneVideoDefinition * linphone_factory_create_video_definition_from_name | ( | const LinphoneFactory * | factory,
|  | const char * | name )

Create a LinphoneVideoDefinition from a given standard definition name.

Parameters

  factory | LinphoneFactory singleton object
  name | The standard definition name of the video definition to create

Returns
  A new LinphoneVideoDefinition object

## ◆ linphone_factory_create_video_source_descriptor()

LinphoneVideoSourceDescriptor * linphone_factory_create_video_source_descriptor | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneVideoSourceDescriptor.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneVideoSourceDescriptor

## ◆ linphone_factory_create_xml_rpc_request_cbs()

LinphoneXmlRpcRequestCbs * linphone_factory_create_xml_rpc_request_cbs | ( | LinphoneFactory * | factory | ) |

Creates an object LinphoneXmlRpcRequestCbs.

Parameters

  factory | the LinphoneFactory

Returns
  a LinphoneXmlRpcRequestCbs

## ◆ linphone_factory_enable_log_collection()

void linphone_factory_enable_log_collection | ( | LinphoneFactory * | factory,
|  | LinphoneLogCollectionState | state )

Enables or disables log collection.

Parameters

  factory | the LinphoneFactory
  state | the LinphoneLogCollectionState for log collection

## ◆ linphone_factory_get()

LinphoneFactory * linphone_factory_get | ( | void |  | ) |

Create the LinphoneFactory if that has not been done and return a pointer on it.

Returns
  A pointer on the LinphoneFactory

## ◆ linphone_factory_get_data_resources_dir()

const char * linphone_factory_get_data_resources_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the data resources are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the data resources are located

## ◆ linphone_factory_get_dial_plans()

const bctbx_list_t * linphone_factory_get_dial_plans | ( | const LinphoneFactory * | factory | ) |

Returns a bctbx_list_t of all DialPlans.

Parameters

  factory | the LinphoneFactory object

Returns
  A list of LinphoneDialPlan

## ◆ linphone_factory_get_image_resources_dir()

const char * linphone_factory_get_image_resources_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the image resources are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the image resources are located

## ◆ linphone_factory_get_liblinphone_plugins_dir()

const char * linphone_factory_get_liblinphone_plugins_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the liblinphone plugins are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the liblinphone plugins are located, or NULL if it has not been set.

## ◆ linphone_factory_get_msplugins_dir()

const char * linphone_factory_get_msplugins_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the mediastreamer2 plugins are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the mediastreamer2 plugins are located, or NULL if it has not been set.

## ◆ linphone_factory_get_recommended_video_definitions()

const bctbx_list_t * linphone_factory_get_recommended_video_definitions | ( | const LinphoneFactory * | factory | ) |

Get the recommended list of standard video definitions.

This list is suitable for a widest set of hardware for all video codec implementations, and thus excludes some very high definition formats that are unlikely to work unless specific hardware or codecs are used.

Parameters

  factory | LinphoneFactory singleton object

Returns
  A list of video definitions.

## ◆ linphone_factory_get_ring_resources_dir()

const char * linphone_factory_get_ring_resources_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the ring resources are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the ring resources are located

## ◆ linphone_factory_get_sound_resources_dir()

const char * linphone_factory_get_sound_resources_dir | ( | LinphoneFactory * | factory | ) |

Get the directory where the sound resources are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the directory where the sound resources are located

## ◆ linphone_factory_get_supported_video_definitions()

const bctbx_list_t * linphone_factory_get_supported_video_definitions | ( | const LinphoneFactory * | factory | ) |

Get the list of standard video definitions supported by Linphone.

Parameters

  factory | LinphoneFactory singleton object

Returns
  A list of video definitions.

## ◆ linphone_factory_get_top_resources_dir()

const char * linphone_factory_get_top_resources_dir | ( | const LinphoneFactory * | factory | ) |

Get the top directory where the resources are located.

Parameters

  factory | LinphoneFactory object

Returns
  The path to the top directory where the resources are located

## ◆ linphone_factory_get_user_data()

void * linphone_factory_get_user_data | ( | const LinphoneFactory * | factory | ) |

Gets the user data in the LinphoneFactory object.

Parameters

  factory | the LinphoneFactory

Returns
  the user data.

## ◆ linphone_factory_is_chatroom_backend_available()

bool_t linphone_factory_is_chatroom_backend_available | ( | LinphoneFactory * | factory,
|  | LinphoneChatRoomBackend | chatroom_backend )

Indicates if the given LinphoneChatRoomBackend is available.

Parameters

  factory | the LinphoneFactory
  chatroom_backend | the LinphoneChatRoomBackend

Returns
  TRUE if the chatroom backend is available, FALSE otherwise

## ◆ linphone_factory_is_database_storage_available()

bool_t linphone_factory_is_database_storage_available | ( | LinphoneFactory * | factory | ) |

Indicates if the storage in database is available.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if the database storage is available, FALSE otherwise

## ◆ linphone_factory_is_imdn_available()

bool_t linphone_factory_is_imdn_available | ( | LinphoneFactory * | factory | ) |

Indicates if IMDN are available.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if IDMN are available

## ◆ linphone_factory_is_qrcode_available()

bool_t linphone_factory_is_qrcode_available | ( | LinphoneFactory * | factory | ) |

Indicates if the QRCode feature is available.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if QRCodes can be used

## ◆ linphone_factory_set_cache_dir()

void linphone_factory_set_cache_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the application local cache is located.

If the path is empty (default value), the path will be computed when calling linphone_factory_get_data_dir()

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where the application local cache is located

## ◆ linphone_factory_set_config_dir()

void linphone_factory_set_config_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the configurations are located.

If the path is empty (default value), the path will be computed when calling linphone_factory_get_config_dir()

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where the configurations are located

## ◆ linphone_factory_set_data_dir()

void linphone_factory_set_data_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the application local data are located.

If the path is empty (default value), the path will be computed when calling linphone_factory_get_data_dir()

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where the application local data are located

## ◆ linphone_factory_set_data_resources_dir()

void linphone_factory_set_data_resources_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the data resources are located.

Parameters

  factory | LinphoneFactory object
  path | The path where the data resources are located

## ◆ linphone_factory_set_download_dir()

void linphone_factory_set_download_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where downloads are located.

If the path is empty (default value), the path will be computed when calling linphone_factory_get_download_dir()

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where downloads are located

## ◆ linphone_factory_set_image_resources_dir()

void linphone_factory_set_image_resources_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the image resources are located.

Parameters

  factory | LinphoneFactory object
  path | The path where the image resources are located

## ◆ linphone_factory_set_liblinphone_plugins_dir()

void linphone_factory_set_liblinphone_plugins_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the liblinphone plugins are located.

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where the liblinphone plugins are located

## ◆ linphone_factory_set_log_collection_path()

void linphone_factory_set_log_collection_path | ( | LinphoneFactory * | factory,
|  | const char * | path )

Sets the log collection path.

Parameters

  factory | the LinphoneFactory
  path | the path of the logs

## ◆ linphone_factory_set_msplugins_dir()

void linphone_factory_set_msplugins_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the mediastreamer2 plugins are located.

Parameters

  factory | LinphoneFactory object
  path | The path to the directory where the mediastreamer2 plugins are located

## ◆ linphone_factory_set_ring_resources_dir()

void linphone_factory_set_ring_resources_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the ring resources are located.

Parameters

  factory | LinphoneFactory object
  path | The path where the ring resources are located

## ◆ linphone_factory_set_sound_resources_dir()

void linphone_factory_set_sound_resources_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the directory where the sound resources are located.

Parameters

  factory | LinphoneFactory object
  path | The path where the sound resources are located

## ◆ linphone_factory_set_top_resources_dir()

void linphone_factory_set_top_resources_dir | ( | LinphoneFactory * | factory,
|  | const char * | path )

Set the top directory where the resources are located.

If you only define this top directory, the other resources directory will automatically be derived form this one.

Parameters

  factory | LinphoneFactory object
  path | The path to the top directory where the resources are located

## ◆ linphone_factory_set_user_data()

void linphone_factory_set_user_data | ( | LinphoneFactory * | factory,
|  | void * | data )

Sets the user data in the LinphoneFactory object.

Parameters

  factory | the LinphoneFactory object
  data | the user data.

## ◆ linphone_factory_set_vfs_encryption()

bool_t linphone_factory_set_vfs_encryption | ( | LinphoneFactory * | factory,
|  | const uint16_t | encryptionModule,
|  | const uint8_t * | secret,
|  | const size_t | secretSize )

Select encryption module and set secret material to encrypt the files.

Parameters

  [in] | factory | the LinphoneFactory
  [in] | encryptionModule | One of the available encryption module for VFS, pick in the LINPHONE_VFS_ENCRYPTION_* list if set to _UNSET, default bctoolbox VFS is switch to Standard one
  [in] | secret | the secret material used to encrypt the files, can be NULL for the _PLAIN module
  [in] | secretSize | size of the secret

Returns
  true if everything went well, false if it appears that the given secret is unable to decrypt existing configuration

## ◆ linphone_factory_write_qrcode_file()

int linphone_factory_write_qrcode_file | ( | LinphoneFactory * | factory,
|  | const char * | file_path,
|  | const char * | code,
|  | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | margin )

Creates a QRCode and write it into a JPEG file specified by file_path (only if build with JPEG).

Parameters

  factory | the LinphoneFactory
  file_path | The file where to write the QRCode JPEG image.
  code | The code to be generated into an image. It must not be empty.
  width | The requested width of the QRCode image. It will be 100 if 0.
  height | The requested height of the QRCode image. It will be 100 if 0.
  margin | The requested margin of the QRCode image.

Returns
  0 if successful, -2 if JPEG is not supported, -1 otherwise

## ◆ linphone_stream_type_to_string()

const char * linphone_stream_type_to_string | ( | const LinphoneStreamType | type | ) |

Function returning a human readable value for LinphoneStreamType.

Parameters

  type | the LinphoneStreamType

Returns
  a string representation of the LinphoneStreamType